var memcode = window.localStorage.getItem("memcode");
var datalist = [];
var ordernumlist = [];
var TotalInvoiceFee = 0;
var TotalServicefee = 0;
var TotalEffectivemoney = 0;
var pageIndex = 1;
var pageSize = 12;
mui.init({
	swipeBack: false, //启用右滑关闭功能
	beforeback: function() {
		var parent = plus.webview.currentWebview().opener();
		//GetInvoiceTitleList();
		// mui.fire(parent, 'refresh');
		return true;
	},

});

function GetList() {
	$ajax(API_URL + '/MemInvoice/GetOrderFeeDetailList', {
		data: {
			Memcode: memcode
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'Get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		showLoading:true,
		success: function(res) {
			// isMore(res.Total);
			if (res.Total > 0) {
				datalist = res.Rows;
				ShowList(datalist);
			} else {
				$("#btnApply").removeClass("mui-btn-red");
				$("#btnApply").addClass("mui-disabled");
				mui.toast("暂时无数据");
			}
		},
		error: function() {
			// mui('.mui-scroll-wrapper').pullRefresh().endPullupToRefresh(true);
		}
	});
}

function IsEndComplain(str, site) {
	str = str.replace(/-/g, "/");
	var endDate = new Date(str);
	var nowDate = new Date();
	if (site == '缤纷总网') {
		endDate = endDate.setHours(endDate.getHours() + 96);
	} else {
		endDate = endDate.setHours(endDate.getHours() + 100);
	}
	if (nowDate > endDate) {
		return true;
	} else {
		return false;
	}
}

function ShowList(data) {
	let strhtml = "";
	for (let i in data) {
		var total = changeTwoDecimal(changeTwoDecimal(parseFloat(data[i].Effectivemoney)) + changeTwoDecimal(parseFloat(data[i].Servicefee)))
		var disabledStr = "";
		var stateStr = "";
		//售后结束时间

		if (total > 0) {
			if (data[i].Isinvoiceapply != 0) {
				disabledStr = "disabled";
				stateStr = '<span class="IsApply">已申请</span>';
			} else {
				if (IsEndComplain(data[i].Saledate, data[i].Ssite)) {
					stateStr = '<span class="CanApply">可申请</span>';
				} else {
					disabledStr = "disabled";
					stateStr = '<span class="IsApply">售后周期内</span>';
				}
			}
		} else {
			disabledStr = "disabled";
			stateStr = '<span class="IsApply">开票金额不足</span>';
		}
		strhtml += `
		<div>
			<div class="mui-input-row mui-checkbox mui-left" style="float:left;height:5.6875rem;display:none;width:12%">
				<label style="width:0px !important;"></label>
			  <input style="top:1.9375rem;" name="checkbox1" onclick="CheckChange(this,` + i +
			`)" value="Item 1" type="checkbox" ` + disabledStr + `>
			</div>
			<div class="Row">
				<div class="RowTitle">
					<span class="spanOrdernum">` + data[i].Ordernum + `</span>` + stateStr + `
					<span style="float: right;">共￥` + total + `</span>
				</div>
				<div class="RowContent">
					<div class="RowContentDetail">
						<div style="float: left;">
							<span class="spanproperty">订单有效额：</span><span>￥` + data[i].Effectivemoney + `</span>
						</div>
						<div style="float: right;">
							<span class="spanproperty" style="color: #C0C0C0;">订单额：</span>
							<span style="color: #C0C0C0;">￥` + data[i].Ordermoney + `</span>
						</div>
						<div style="clear: both;"></div>
					</div>
					<div class="RowContentDetail">
						<div>
							<span class="spanproperty">服务费：</span><span>￥` + data[i].Servicefee + `</span>
						</div>
					</div>
				</div>
			</div>
			<div style="clear: both;"></div>
		</div>
		`;
	}

	strhtml += '<div style="height:53px;width:100%"></div>'
	document.getElementById("content").innerHTML = strhtml;
}

function CheckChange(that, i) {
	var suffix = "";
	if (datalist[i].Ssite == "缤纷总网") {
		suffix = "A";
	} else {
		suffix = "P";
	}
	if ($(that).prop('checked') == true) {
		ordernumlist.push(datalist[i].Ordernum + '-' + suffix);
		TotalServicefee = changeTwoDecimal(parseFloat(TotalServicefee) + parseFloat(datalist[i].Servicefee));
		TotalEffectivemoney = changeTwoDecimal(parseFloat(TotalEffectivemoney) + parseFloat(datalist[i]
			.Effectivemoney));
		TotalInvoiceFee = changeTwoDecimal(parseFloat(TotalInvoiceFee) + parseFloat(parseFloat(datalist[i]
			.Effectivemoney) + parseFloat(datalist[i].Servicefee)));
	} else {
		TotalServicefee = changeTwoDecimal(parseFloat(TotalServicefee) - parseFloat(datalist[i].Servicefee));
		TotalEffectivemoney = changeTwoDecimal(parseFloat(TotalEffectivemoney) - parseFloat(datalist[i]
			.Effectivemoney));
		TotalInvoiceFee = changeTwoDecimal(parseFloat(TotalInvoiceFee) - parseFloat(parseFloat(datalist[i]
			.Effectivemoney) + (datalist[i].Servicefee)));
		ordernumlist.splice($.inArray(datalist[i].Ordernum + '-' + suffix, ordernumlist), 1);
	}
}

$("#btnApply").on("tap", function() {
	$("#btnApply").hide();
	$("#btnCancel").show();
	$("#btnSubmit").show();

	$(".mui-input-row").each(function() {
		$(this).show();
	});
	$(".Row").each(function() {
		$(this).css('width', '80%')
	});
})

$("#btnCancel").on("tap", function() {
	$("#btnApply").show();
	$("#btnCancel").hide();
	$("#btnSubmit").hide();

	$(".mui-input-row").each(function() {
		$(this).hide();
	});
	$(".Row").each(function() {
		$(this).css('width', '100%')
	})
})

$("#btnSubmit").on("tap", function() {
	if (ordernumlist.length < 1) {
		mui.alert('请选择要开票的订单');
		return;
	}
	var str = ordernumlist.join(';');
	OpenWindowInIframe('submit_invoice_apply.html?totalfee=' + TotalInvoiceFee + '&servicefee=' +
		TotalServicefee + '&effectivefee=' + TotalEffectivemoney + '&ordernum=' + str);
})

//在iframe中打开页面
function OpenWindowInIframe(url) {
	parent.mui.openWindow({
		id: 1,
		url: url,
		styles: {
			backButtonAutoControl: "hide",
		},
		waiting: {
			autoShow: false, //自动显示等待框，默认为true
		}
	});
}

window.addEventListener('refreshApply', function(e) {
	console.log("refreshApply");
	$("#btnApply").show();
	$("#btnCancel").hide();
	$("#btnSubmit").hide();

	$(".mui-input-row").each(function() {
		$(this).hide();
	});
	$(".Row").each(function() {
		$(this).css('width', '100%')
	})
	console.log('刷新');
	GetList();
	TotalInvoiceFee = 0;
	TotalServicefee = 0;
	TotalEffectivemoney = 0;
});
function alertTip(){
	mui.alert('请在消费结束2个月内自助申请开票！','开票须知',function (e) {
	   
	},'div')
}

if (IS_APP) {
	mui.plusReady(function() {
		alertTip();
		GetList();
	});
} else {
	GetList();
}
