document.addEventListener("plusready", onPlusReady, false);

function onPlusReady() {
	console.log('ready')
	initTabs();
}


mui.init({
	swipeBack: false, //启用右滑关闭功能
	beforeback: function() {
		var parent = plus.webview.currentWebview().opener();
		return true;
	}
});
var tabs = {};

function initTabs() {
	var subpages = ['invoice_apply.html', 'invoice_list.html', 'invoice_title_manage.html'];
	var subpage_style = {
		top: '90px',
		bottom: '0'
	};

	var aniShow = {};

	//创建子页面，首个选项卡页面显示，其它均隐藏；
	var self = plus.webview.currentWebview();

	for (var i = 0; i < 3; i++) {
		var temp = {};
		var sub = plus.webview.create(subpages[i], subpages[i], subpage_style);
		if (i > 0) {
			sub.hide();
		} else {
			temp[subpages[i]] = "true";
			mui.extend(aniShow, temp);
		}

		self.append(sub);
	}
	//当前激活选项
	var activeTab = subpages[0];
	mui('#segmentedControl').on('tap', 'a', function(e) {
		var targetTab = this.getAttribute('href');
		var targetWVW = plus.webview.getWebviewById(targetTab);
		if (targetTab == activeTab) {
			return;
		}
		plus.webview.getWebviewById(targetTab).reload();
		switch (targetTab) {
			case "invoice_apply.html":
				mui.fire(targetWVW, 'refreshApply');
				break;
			case "invoice_list.html":
				mui.fire(targetWVW, 'refreshInvoice');
				break;
			case "invoice_title_manage.html":
				mui.fire(targetWVW, 'refreshTitle');
				break;
		}
		//显示目标选项卡
		//若为iOS平台或非首次显示，则直接显示
		if (mui.os.ios || aniShow[targetTab]) {
			plus.webview.show(targetTab);
		} else {
			//否则，使用fade-in动画，且保存变量
			var temp = {};
			temp[targetTab] = "true";
			mui.extend(aniShow, temp);
			plus.webview.show(targetTab, "fade-in", 300);
		}
		//隐藏当前;
		plus.webview.hide(activeTab);
		//更改当前活跃的选项卡
		activeTab = targetTab;
	});
}

// window.parent.mui.plusReady(function() {
// 	initTabs();
// 	console.log('plusready')
// });

// document.addEventListener('plusready', function(){
// 	initTabs();
// })

window.addEventListener('GetList', function(e) {
	mui.fire(tabs['invoiceapply'], 'GetList');
});
//选项卡点击事件
