var memcode = window.localStorage.getItem("memcode"); //获取会员号
var provinceElem = document.getElementById("Province");
var cityElem = document.getElementById("City");
var areaElem = document.getElementById("Area");
var streetElem = document.getElementById("Street");
var isAdd = true;
var cityPicker = new mui.PopPicker({
	layer: 3
});
var streetPicker = new mui.PopPicker({
	layer: 1
});
//发票抬头信息
var Info = {
	Id: 0,
	Savetype: 1,
	Invoicetype: 1,
	Titletype: 1,
	Invoicemode: 1,
	Memcode: memcode,
	Invoicetitle: "",
	Taxnum: "",
	Address: "",
	Phone: "",
	Bankname: "",
	Bankaccount: "",
	Email: "",
	Deliveryaddress: "",
	Deliveryphone: "",
	Deliverycontact: "",
	Createtime: "",
	State: 1,
	Updatetime: "",
	IsDefaultTitle: 0,
	Province: "",
	City: "",
	Area: "",
	Street: "",
	Detailaddr: "",
}

/***************************处理传入的参数*******************************/
var TitleId = getQueryString('Id'); //获取传入的Id
var QueryInvoicetype = getQueryString('invoicetype');
var QueryTitletype = getQueryString("titletype");
if (QueryInvoicetype == 1) {
	DefaultInvoiceAct();
	if (QueryTitletype == 1) {
		PersonalTitleAct();
	} else if (QueryTitletype == 2) {
		EnterpriseTitleAct();
	}
} else if (QueryInvoicetype == 2) {
	SpecialInvoiceAct();
}
if (TitleId > 0) { //TitleId>0为编辑
	isAdd = false;
	GetDetail();
} else { //新增
	isAdd = true;
	$("#Delete").hide();
}
/**************************************************************/

mui.init({
	//swipeBack: false, //启用右滑关闭功能
	beforeback: function() {
		var parent = plus.webview.currentWebview().opener();
		mui.fire(parent, 'refresh');
		return true;
	}
});

function Save() {
	var obj = new Object();
	if (Info.Invoicetype == 2) {
		if (!$("#IsAgree").prop("checked")) {
			mui.alert("需同意《增值税专用发票抬头确认书》!");
			return;
		}
	}
	if (!Check()) {
		return;
	}
	GetInfo();
	obj = Info;
	$ajax(API_URL + '/MemInvoice/SaveMemberInvoiceTitle', {
		data: obj,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		beforeSend: function() {
			if (IS_APP) {
				plus.nativeUI.showWaiting("提交中，请稍候...");
			}
		},
		complete: function() {
			if (IS_APP) {
				plus.nativeUI.closeWaiting();
			}
		},
		success: function(data) {
			if (data.ErrorCode === 1) {
				mui.toast(data.Msg);
				var parent = plus.webview.currentWebview().opener();
				mui.fire(parent, 'refresh', {
					str: "我回来了！"
				});
				mui.later(function() {
					mui.back();
				}, 1000)
			} else {
				mui.toast(data.Msg);
			}
		}
	});
}

//获取抬头详细信息
function GetDetail() {
	$ajax(API_URL + '/MemInvoice/GetMemInvoiceTitleById', {
		data: {
			Id: TitleId
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(res) {
			if (res.Total > 0) {
				obj = res.Rows[0];
				ShowDetail(obj);
			} else {
				mui.toast(res.Msg);
			}
		}
	});
}
//显示抬头详情
function ShowDetail(obj) {
	Info = obj;
	if (obj.Invoicetype == 1) {
		DefaultInvoiceAct();
		if (obj.Titletype == 1) {
			PersonalTitleAct();
		} else {
			EnterpriseTitleAct();
		}
	} else {
		SpecialInvoiceAct();
	}
	if (obj.IsDefaultTitle == 1) {
		$("#IsDefaultTitle").attr('checked', true);
	}
	$("#Title").val(obj.Invoicetitle);
	$("#Taxnumber").val(obj.Taxnum);
	$("#RegisteredAddr").val(obj.Address);
	$("#RegisteredTel").val(obj.Phone);
	$("#OpenBank").val(obj.Bankname);
	$("#BankCard").val(obj.Bankaccount);
	$("#Email").val(obj.Email);
	$("#Province").val(obj.Province);
	$("#City").val(obj.City);
	$("#Area").val(obj.Area);
	$("#Street").val(obj.Street);
	$("#txtStreet").val(obj.Street);
	$("#txtArea").val(obj.Province + obj.City + obj.Area);
	$("#DetailDeliveryAddr").val(obj.Detailaddr);
	$("#Deliverycontact").val(obj.Deliverycontact);
	$("#Deliveryphone").val(obj.Deliveryphone);
}

function GetInfo() {
	Info.Invoicetitle = $("#Title").val();
	Info.Taxnum = $("#Taxnumber").val();
	Info.Address = $("#RegisteredAddr").val();
	Info.Phone = $("#RegisteredTel").val();
	Info.Bankname = $("#OpenBank").val();
	Info.Bankaccount = $("#BankCard").val();
	Info.Email = $("#Email").val();
	if ($("#IsDefaultTitle").prop("checked")) {
		Info.IsDefaultTitle = 1;
	} else {
		Info.IsDefaultTitle = 0;
	}
	Info.Province = $("#Province").val();
	Info.City = $("#City").val();
	Info.Area = $("#Area").val();
	Info.Street = $("#txtStreet").val();
	Info.Detailaddr = $("#DetailDeliveryAddr").val();
	Info.Deliverycontact = $("#Deliverycontact").val();
	Info.Deliveryphone = $("#Deliveryphone").val();
	Info.Deliveryaddress = Info.Province + Info.City + Info.Area + Info.Street + Info.Detailaddr;
}

//判断必填是否都已经填写了
function Check() {
	if ($("#Email").val().length > 0) {
		if (!/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/.test($("#Email").val())) {
			mui.alert("邮箱格式错误！")
			return false;
		}
	}
	if($("#Deliveryphone").val().length>0){
		if(!/^(13[0-9]|14[01456879]|15[0-3,5-9]|16[2567]|17[0-8]|18[0-9]|19[0-3,5-9])\d{8}$/.test($("#Deliveryphone").val())){
			mui.alert("手机号格式错误！")
			return false;
		}
	}
	var ischeck = true;
	$(".mui-content .NotNull").each(function() {
		if (!this.value || this.value.trim() == "") {
			mui.alert($(this).attr('placeholder').replace('请输入', '') + "不允许为空");
			ischeck = false;
			return false;
		}
	});
	return ischeck;
}

function DeleteTitle() {
	$ajax(API_URL + '/MemInvoice/DeleteInvoiceTitle', {
		data: {
			Id: TitleId
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		beforeSend: function() {
			if (IS_APP) {
				plus.nativeUI.showWaiting("删除中，请稍候...");
			}
		},
		complete: function() {
			if (IS_APP) {
				plus.nativeUI.closeWaiting();
			}
		},
		success: function(data) {
			if (data.ErrorCode === 1) {
				mui.toast(data.Msg);
				var parent = plus.webview.currentWebview().opener();
				mui.fire(parent, 'refresh', {
					str: "我回来了！"
				});
				mui.later(function() {
					mui.back();
				}, 1000)
			} else {
				mui.toast(data.Msg);
			}
		}
	});
}

function SpecialInvoiceAct() {
	Info.Invoicetype = 2;
	Info.Titletype = 2;
	$("#btnDefaultInvoice").removeClass("mui-btn-danger");
	$("#btnSpecialInvoice").addClass("mui-btn-danger");
	$("#btnPersonalTitle").removeClass("mui-btn-danger");
	$("#btnEnterpriseTitle").addClass("mui-btn-danger");
	$("#btnDefaultInvoice").addClass("mui-disabled");
	$('#btnPersonalTitle').addClass("mui-disabled");
	$("#EnterpriseArea").show();
	$("#AgreementArea").show();
	$("#Delivery").show();
	SetNotNull(['Title', 'Taxnumber', 'RegisteredAddr', 'RegisteredTel', 'OpenBank', 'BankCard', 'Deliverycontact',
		'Deliveryphone', 'txtArea', 'txtStreet', 'DetailDeliveryAddr'
	]);
}

function DefaultInvoiceAct() {
	Info.Invoicetype = 1;
	$("#btnSpecialInvoice").removeClass("mui-btn-danger");
	$("#btnDefaultInvoice").addClass("mui-btn-danger");
	$('#btnPersonalTitle').removeClass("mui-disabled");
	$("#btnEnterpriseTitle").removeClass("mui-btn-danger");
	$("#btnPersonalTitle").addClass("mui-btn-danger");
	$('#btnSpecialInvoice').addClass("mui-disabled");
	$("#EnterpriseArea").hide();
	$("#AgreementArea").hide();
	$("#Delivery").hide();
	SetNotNull(['Title', 'Deliveryphone']);
}

function PersonalTitleAct() {
	Info.Titletype = 1;
	$("#EnterpriseArea input:first").removeClass("NotNull");
	$("#btnEnterpriseTitle").removeClass("mui-btn-danger");
	$("#btnPersonalTitle").addClass("mui-btn-danger");
	$('#btnEnterpriseTitle').addClass("mui-disabled");
	$("#EnterpriseArea").hide();
	SetNotNull(['Title', 'Deliveryphone']);
}

function EnterpriseTitleAct() {
	Info.Titletype = 2;
	$("#EnterpriseArea input:first").addClass("NotNull");
	$("#btnPersonalTitle").removeClass("mui-btn-danger");
	$("#btnEnterpriseTitle").addClass("mui-btn-danger");
	$('#btnPersonalTitle').addClass("mui-disabled");
	$("#EnterpriseArea").show();
	SetNotNull(['Title', 'Taxnumber', 'Deliveryphone']);
}

//设置必填项
function SetNotNull(list) {
	console.log(list)
	$(".mui-content .input").each(function() {
		if ($.inArray($(this).attr("Id"), list) >= 0) {
			$(this).addClass("NotNull");
			var label = $($($(this).parent()).prev()).children("label").get(0)
			$(label).addClass("xrequired");
			var text = $(label).html();
			text = text.replace(/&nbsp;/ig, "")
			$(label).html(text);
		} else {
			$(this).removeClass("NotNull");
			var label = $($($(this).parent()).prev()).children("label").get(0)
			$(label).removeClass("xrequired");
			var text = $(label).html().replace(/&nbsp;/ig, "");
			text = text + "&nbsp;";
			$(label).html(text);
		}
	});
}

/*
*
事件监听
*
*/
//保存
$("#btnSubmit").on("click", function() {
	Save();
})
//企业
$("#btnEnterpriseTitle").on("tap", function() {
	EnterpriseTitleAct();
});
//个人
$("#btnPersonalTitle").on("tap", function() {
	PersonalTitleAct();
})
//普票
$("#btnDefaultInvoice").on("tap", function() {
	DefaultInvoiceAct();
})
//专票
$("#btnSpecialInvoice").on("tap", function() {
	SpecialInvoiceAct();
})
$("#Delete").on("tap", function() {
	DeleteTitle();
})
//免责声明
$("#AgreementTxt").on("tap", function() {
	var message =
		'根据国家税法及发票管理相关规定，任何单位和个人不得要求他人为自己开具与实际经营业务情况不符的增值税专用发票【包括并不限于(1) 在没有货物采购或者没有接受应税劳务的情况下要求他人为自己开具增值税专用发票; (2) 虽有货物采购或者接受应税劳务但要求他人为自己开具数量或金额与实际情况不符的增值税专用发票】， 否则属于“虚开增值税专用发票”。\n我已充分了解上述各项相关国家税法和发票管理规定，并确认仅就我司实际购买商品或服务索取发票。如我司未按国家相关规定申请开具或使用增值税专用发票，由我司自行承担相应法律后果。'
	var btnArray = ['同意', '取消'];
	mui.confirm(message, '增值税专用发票抬头确认书', btnArray, function(e) {
		if (e.index == 0) {
			$("#IsAgree").prop("checked", true)
		} else {
			$("#IsAgree").prop("checked", false)
		}
	})
})

document.getElementById('txtArea').addEventListener('tap', function(event) {
	if (cityPicker.pickers[0].items.length == 0) {
		initLocation();
	}
	if (isAdd) {
		console.log("IsAdd")
		cityPicker.setData(areaJson);
		cityPicker.show(function(items) {
			provinceId = (items[0] || {}).value;
			cityId = items.length > 1 ? items[1].value : 0;
			districtId = items.length > 2 ? items[2].value : 0;
			document.getElementById("Province").value = items[0].text;
			document.getElementById("City").value = items[1].text;
			document.getElementById("Area").value = (items[2].text ? items[2].text : "");
			document.getElementById("txtArea").value = items[0].text + (items.length > 1 ? items[1]
					.text : "") +
				(items[2].text ? items[2].text : "");
			streetElem.value = " ";
			document.getElementById("txtStreet").value = "";
			streetPicker.pickers[0].items.length = 0;
			getStreetByPCA();
		});
	} else {
		console.log("NotAdd");
		var _this = this;
		cityPicker.setData(areaJson);
		cityPicker.pickers[0].setSelectedValue(provinceElem.value);
		var s = cityPicker.getSelectedItems();
		s[0].children.forEach(function(v, i) {
			if (v.value == cityElem.value) {
				cityPicker.pickers[1].setSelectedIndex(i);
				v.children.forEach(function(u, j) {
					if (u.value == areaElem.value) {
						cityPicker.pickers[2].setSelectedIndex(j);
					}
				})
			}
		})
		cityPicker.show(function(items) {
			var province = (items[0] || {}).value;
			var city = items.length > 1 ? items[1].value : 0;
			var area = items.length > 2 ? items[2].value : 0;
			provinceElem.value = province;
			cityElem.value = city;
			areaElem.value = area;
			_this.value = province + city + area;
			streetElem.value = "";
			document.getElementById("txtStreet").value = "";
			streetPicker.pickers[0].items.length = 0;
			getStreetByPCA();
		});
	}
});

function getStreetByPCA(callback) {
	var pca = {
		Province: provinceElem.value,
		City: cityElem.value,
		Area: areaElem.value
	};
	$ajax(API_URL + '/Memdeliveraddr/GetStreetByPCA', {
		data: pca,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if (data.Total > 0) {
				setStreetPicker(data.Rows, callback);
			} else {
				mui.toast(data.Msg);
			}
		},
		error: function(xhr, type, errorThrown) {

		}
	});
}

function setStreetPicker(data, callback) {
	var streetArr = [];
	for (var i = 0; i < data.length; i++) {
		var tmpObj = {
			text: data[i].Street,
			value: data[i].Street
		};
		streetArr.push(tmpObj);
	}
	streetPicker.setData(streetArr);
	streetPicker.pickers[0].setSelectedValue(streetElem.value);
	if (callback) callback();
}

function showStreetPicker() {
	if (streetPicker.pickers[0].items.length > 0) {
		streetPicker.show(function(selItem) {
			var selVal = selItem[0].value;
			streetElem.value = selVal;
			document.getElementById("txtStreet").value = selVal;
		});
	} else {
		getStreetByPCA(function() {
			showStreetPicker();
		});
	}
}

document.getElementById('txtStreet').addEventListener('tap', function() {
	console.log('getstreet')
	showStreetPicker();
})

if (IS_APP) {
	window.parent.mui.plusReady(function() {
		initLocation();
	});
} else {
	initLocation();
}
