var memcode = window.localStorage.getItem("memcode");
var datalist = [];
mui.init({
	swipeBack: false, //启用右滑关闭功能
	beforeback: function() {
		var parent = window.parent.plus.webview.currentWebview().opener();
		return true;
	}
});

function GetInvoiceTitleList() {
	$ajax(API_URL + '/MemInvoice/GetMemInvoiceTitleListAll', {
		data: {
			Memcode: memcode
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(res) {
			if (res.Total > 0) {
				dataList = res.Rows;
				ShowList(dataList);
			} else {
				mui.toast(res.Msg);
			}
		}
	});
}

function ShowList(data) {
	let htmlStr = ``;
	for (let i in data) {
		var strInvoiceType = "";
		var strTitleType = "";
		var strState = "";
		var strTaxnum = '<div class="taxnumtxt">' + data[i].Taxnum + '</div>';
		var strIsDefaultTitle='';
		if(data[i].IsDefaultTitle==1){
			strIsDefaultTitle='<span class="InvoiceState">默认抬头</span>';
		}
		if (data[i].Invoicetype == 1) {
			strInvoiceType = "普通";
			if (data[i].Titletype == 1) {
				strTitleType = "-个人";
				strTaxnum = "";
			} else {
				strTitleType = "-单位";
			}
		} else {
			strInvoiceType = "增值税专用";
			if (data[i].State == 1) {
				strState = '<span class="InvoiceState">审核通过</span>';
			} else if (data[i].State == 2) {
				strState = '<span class="InvoiceStateAwait">等待审核</span>';
			} else {
				strState = '<span class="InvoiceStateError">信息有误</span>';
			}
		}
		htmlStr += `
			<div class="Row">
				<div class="RowTitle">
					<span>` + strInvoiceType + `发票抬头` + strTitleType + `</span>`+strIsDefaultTitle+`
				</div>
				<div class="RowContent">
					<div class="RowContentLeft">
						<div>
							` + strState + `
							<span style="font-size: 0.875rem;">` + data[i].Invoicetitle + `</span>
						</div>
						` + strTaxnum + `
					</div>
					<div class="RowContentRight"><span onclick="GetInvoiceTitleDetail(` + data[i].Id + `)" class="mui-icon mui-icon-compose invoice-title-detail"</span></div>
					<div style="clear: both;"></div>
				</div>
			</div>
		`;
	}
	htmlStr+='<div style="height:53px;width:100%"></div>'
	document.getElementById("content").innerHTML = htmlStr;
	//$(".Row:last").css('margin-bottom','10.25rem');
}

//新增抬头
$("#btnAdd").on("tap", function() {
	openExtWindow('invoice_title_detail.html?Id=0');
})

//编辑抬头
function GetInvoiceTitleDetail(id) {
	openExtWindow('invoice_title_detail.html?Id='+id);
}

window.addEventListener('refreshTitle', function() {
	//alert(e.detail.str);
	GetInvoiceTitleList();
})

if (IS_APP) {
	window.parent.mui.plusReady(function() {
		GetInvoiceTitleList();
	});
} else {
	GetInvoiceTitleList();
}
