var memcode = window.localStorage.getItem("memcode");
var ordernumlist = getQueryString('ordernum') + ';'; //订单号列表
var totalfee = getQueryString('totalfee'); //开票总额
var Effectivemoney = getQueryString("effectivefee"); //订单有效总额
var Servicefee = getQueryString("servicefee"); //服务费总额
var TitleId = 0;
var InvoiceType = 1;
var TitleType = 1;
$("#Effectivemoney").html(Effectivemoney);
$("#Servicefee").html(Servicefee);
$("#totalfee").html(totalfee);

var TitleList = new Array();

mui.init({
	swipeBack: false, //启用右滑关闭功能
	beforeback: function() {
		var parent = window.parent.plus.webview.currentWebview().opener();
		mui.fire(parent, 'refreshApply');
		return true;
	}
});

function GetDefaultTitle() {
	$ajax(API_URL + '/MemInvoice/GetMemDefaultTitle', {
		data: {
			Memcode: memcode,
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(res) {
			if (res.Rows.length > 0) {
				data = res.Rows[0];
				InvoiceType = data.Invoicetype;
				TitleType = data.Titletype;
				console.log('39', TitleId)
				var invoicetype;
				var titletype;
				if (InvoiceType == 1) {
					invoicetype = "普票";
					$("#btnDefaultInvoice").trigger("tap");
				} else {
					invoicetype = "专票";
					$("#btnSpecialInvoice").trigger("tap");
				}
				if (TitleType == 1) {
					titletype = "个人";
					$("#btnPersonalTitle").click();
				} else {
					titletype = "单位";
					$("#btnEnterpriseTitle").click();
				}
				TitleId = data.Id;
				selTitle.value = invoicetype + '|' + titletype + '|' + data.Invoicetitle
			}
		}
	});
}

function GetTitleList() {
	TitleList = new Array();
	$ajax(API_URL + '/MemInvoice/GetMemInvoiceTitleList', {
		data: {
			Memcode: memcode,
			InvoiceType: InvoiceType,
			TitleType: TitleType,
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(res) {
			if (res.Rows.length > 0) {
				data = res.Rows;
				for (var i in data) {
					var invoicetype;
					var titletype;
					if (data[i].Invoicetype == 1) {
						invoicetype = "普票";
						if (data[i].Titletype == 1) {
							titletype = "个人";
						} else {
							titletype = "单位";
						}
					} else {
						invoicetype = "专票";
						titletype = "单位";
					}
					TitleList[i] = new Object();
					TitleList[i].text = invoicetype + '|' + titletype + '|' + data[i].Invoicetitle;
					TitleList[i].value = data[i].Id;
				}
			}
		}
	});
}

function SubmitInvoiceApply() {
	console.log('104', TitleId)
	if (TitleId < 1) {
		mui.alert("请选择发票抬头", "提示", "", null, "div");
		return false;
	}
	console.log('sssss',ordernumlist)
	$ajax(API_URL + '/MemInvoice/SubmitInvoiceApply', {
		data: {
			Memcode: memcode,
			Amount: totalfee,
			Remark: '',
			ConOrderNums: ordernumlist,
			MemInvoiceTitleId: TitleId,
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		beforeSend: function() {
			if (IS_APP) {
				plus.nativeUI.showWaiting("提交中，请稍候...");
			}
		},
		complete: function() {
			if (IS_APP) {
				plus.nativeUI.closeWaiting();
			}
		},
		success: function(res) {
			if (res.ErrorCode === 1) {
				mui.toast(res.Msg);
				var parent = plus.webview.currentWebview().opener();
				mui.fire(parent, 'refreshApply');
				mui.alert("已提交申请，请等候开票");
				mui.later(function() {
					if (res.ErrorCode == 1) {
						mui.toast(res.Msg);
						mui.back();
					}

				}, 1000)
			} else {
				mui.toast(res.Msg);
			}
		}
	});
}

function checkInvoice(invoicenum, invoiceid) {
	var issuccess = false;
	$ajax(API_URL + '/MemInvoice/GetInvoiceResult', {
		data: {
			invoiceNum: invoicenum,
			invoiceId: invoiceid,
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if (data.ErrorCode === 1) {
				mui.toast(data.Msg);
				var parent = plus.webview.currentWebview().opener();
				mui.fire(parent, 'refreshApply');
				mui.later(function() {
					if (data.ErrorCode == 1) {
						issuccess = true;
					}
					//mui.back();
				}, 1000)
			} else {
				issuccess = false;
				mui.toast(data.Msg);
			}
		}
	});
	return issuccess;
}

var selTitle = document.getElementById("selTitle");
selTitle.addEventListener("tap", function() {
	if (TitleList.length < 1) {
		var message
		if (InvoiceType == 1) {
			if (TitleType == 1) {
				message = '您还没有个人普通发票抬头，是否前往添加？';
			} else {
				message = '您还没有单位普通发票抬头，是否前往添加？';
			}
		} else {
			message = '您还没有已审核通过的增值税专用发票抬头，请耐心等待工作人员审核。如果还未新增专票抬头，请前往添加';
		}
		var btnArray = ['新增抬头', '取消'];
		mui.confirm(message, '', btnArray, function(e) {
			console.log('InvoiceType', InvoiceType);
			console.log('TitleType', TitleType);
			if (e.index == 0) {
				OpenWindowInIframe('invoice_title_detail.html?Id=0&invoicetype=' + InvoiceType +
					'&titletype=' + TitleType);
			} else {

			}
		})
	} else {
		var picker = new mui.PopPicker();
		picker.setData(TitleList);
		picker.show(function(SelectedItem) {
			selTitle.value = SelectedItem[0].text;
			TitleId = SelectedItem[0].value;
		})
	}
})

$("#btnSubmit").on("tap", function() {
	SubmitInvoiceApply();
})
$("#btnDefaultInvoice").on("tap", function() {
	$("#btnDefaultInvoice").addClass("mui-btn-danger");
	$("#btnSpecialInvoice").removeClass("mui-btn-danger");
	$('#btnPersonalTitle').removeClass("mui-disabled");
	$("#InvoiceMode").html("电子发票");
	selTitle.value = '-请选择抬头-';
	TitleId = 0;
	InvoiceType = 1;
	GetTitleList();
})
$("#btnSpecialInvoice").on("tap", function() {
	$("#btnSpecialInvoice").addClass("mui-btn-danger");
	$("#btnDefaultInvoice").removeClass("mui-btn-danger");
	$("#btnPersonalTitle").removeClass("mui-btn-danger");
	$("#btnEnterpriseTitle").addClass("mui-btn-danger");
	$('#btnPersonalTitle').addClass("mui-disabled");
	$("#InvoiceMode").html("电子发票");
	selTitle.value = '-请选择抬头-';
	TitleId = 0;
	InvoiceType = 2;
	TitleType = 2;
	GetTitleList();
})
$("#btnPersonalTitle").on("tap", function() {
	$("#btnPersonalTitle").addClass("mui-btn-danger");
	$("#btnEnterpriseTitle").removeClass("mui-btn-danger");
	selTitle.value = '-请选择抬头-';
	TitleId = 0;
	TitleType = 1;
	GetTitleList();
})
$("#btnEnterpriseTitle").on("tap", function() {
	$("#btnEnterpriseTitle").addClass("mui-btn-danger");
	$("#btnPersonalTitle").removeClass("mui-btn-danger");
	selTitle.value = '-请选择抬头-';
	TitleId = 0;
	TitleType = 2;
	GetTitleList();
})

//在iframe中打开页面
function OpenWindowInIframe(url) {
	parent.mui.openWindow({
		id: 1,
		url: url,
		styles: {
			backButtonAutoControl: "hide",
		},
		waiting: {
			autoShow: false, //自动显示等待框，默认为true
		}
	});
}

if (IS_APP) {
	window.parent.mui.plusReady(function() {
		GetDefaultTitle();
		GetTitleList();
	});
} else {
	GetDefaultTitle();
	GetTitleList();
}
