var memcode = window.localStorage.getItem("memcode");
var today = RDateUtil.formatDate(new Date(),'yyyy-MM-dd');
var txtStartDate = document.getElementById("starttime");
var txtMyStartDate = document.getElementById("startmytime");
txtStartDate.value=today;
txtMyStartDate.value=today;
var market = window.localStorage.getItem("market");
var pageIndex1 = 1;
var pageIndex2 = 1;
var tabIndex = 0;
var bidType1=-1;
var bidType2=-1;

function loadData(){
	if(tabIndex==0){
		searchData();
	}else if(tabIndex==1){
		searchMyData();
	}
}
(function($){
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false, //是否显示滚动条
		deceleration: deceleration
	});
	$.ready(function(){
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'),function(index,elem){
			$(elem).pullToRefresh({
				up:{
					auto:true,
					contentrefresh: '正在加载...',
					callback:function(){
						var self = this;
						setTimeout(function(){
							loadData();
							self.endPullUpToRefresh(false);
						},200);
					}
				}
			})
		})
	})
})(mui);

function initData() {
	if(memcode == "" || memcode == null) {
		mui.openWindow("login.html");
	}
	var date = new Date();
	// var startDate = RDateUtil.addDate(date, -7);
	var startDate = date;
	txtStartDate.value = RDateUtil.formatDate(startDate, "yyyy-MM-dd");
	txtMyStartDate.value = RDateUtil.formatDate(startDate, "yyyy-MM-dd");
	// searchData();
}

function searchData() {

	if(txtStartDate.value == "") {
		mui.alert("请选择开始日期");
		return false;
	}

	$ajax(API_URL + '/Bid/GetBidProductList', {
		data: {
			saleDate: txtStartDate.value,
			site: market,
			bidType:bidType1,
			kwd: document.getElementById("txtKwd1").value,
			pageIndex: pageIndex1,
			pageSize: 50
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var objs = data.Rows;
			var html = '';
			var UL = document.getElementById("orderullist");
			if(objs.length == 0) {
				// pageIndex1=1;
				// UL.innerHTML='';
			} else {
				for(var i = 0; i < objs.length; i++) {
					html += '<li class="mui-table-view-cell"><div class="inline l1 mui-ellipsis">(' + objs[i].Code + 
					')<i>' + objs[i].Name + '</i></div><div class="inline l2">数量:<i>' + objs[i].Allcount  + 
					'</i></div><div class="inline l3">成交:<i>' + objs[i].Bidcount + '</i></div><div class="inline l4">结存:<i>' + objs[i].Remcount +  '</i></div></li>';
				}
				if(pageIndex1 ==1){
					document.getElementById("orderullist").innerHTML = html;
				}else{
					document.getElementById("orderullist").innerHTML += html;
				}
				pageIndex1++;
			}
			
		}
	})
}

function searchMyData() {

	if(txtMyStartDate.value == "") {
		mui.alert("请选择开始日期");
		return false;
	}
	$ajax(API_URL + '/Bid/GetBidResultList', {
		data: {
			saleDate: txtMyStartDate.value,
			memCode: memcode,
			site: market,
			bidType:bidType2,
			kwd: document.getElementById("txtKwd2").value,
			isBidSuccess: 1,
			pageIndex: pageIndex2,
			pageSize: 50
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var objs = data.Rows;
			var html = '';
			if(objs.length == 0) {
				// pageIndex2=1;
				// document.getElementById("myorderullist").innerHTML = '';
			} else {
				for(var i = 0; i < objs.length; i++) {
					html += '<li class="mui-table-view-cell"><a class="mui-navigate-right" data-code="'+objs[i].Code+'">'+
					'<div class="inline l1 mui-ellipsis">(' + objs[i].Code + ')<i>' + objs[i].Name + '</i></div><div class="inline l2">单价:<i>￥' + objs[i].Orderprice+  '</i></div><div class="inline l3">竞购量:<i>' + objs[i].Bidcount+
					  '</i></div><div class="inline l4">分配:<i>' + objs[i].Divcount+  '</i></div></a></li>';
				}
				if(pageIndex2 ==1){
					document.getElementById("myorderullist").innerHTML = html;
				}else{
					document.getElementById("myorderullist").innerHTML += html;
				}
				mui('#myorderullist').on('tap','a',function(){
					var code = this.dataset.code;
					myOpenWindow("bid_detail.html",{
						code:code,
						saledate:txtMyStartDate.value,
						site:market
					});
					// mui.openWindow("bid_detail.html");
				})
				pageIndex2++;
			}
		}
	})
}

function initView() {
	var btns = mui('.my-text');
	btns.each(function(i, btn) {
		btn.addEventListener('tap', function() {
			var _self = this;
			if(_self.picker) {
				_self.picker.show(function(rs) {
					if(id == "starttime") {
						txtStartDate.value = rs.text;
						pageIndex1 = 1;
						searchData();
					}else if(id == "startmytime"){
						txtMyStartDate.value = rs.text;
						pageIndex2 = 1;
						searchMyData();
					}
					_self.picker.dispose();
					_self.picker = null;
				});
			} else {
				var optionsJson = this.getAttribute('data-options') || '{}';
				var options = JSON.parse(optionsJson);
				options.endDate = new Date();
				var id = this.getAttribute('id');

				_self.picker = new mui.DtPicker(options);
				_self.picker.show(function(rs) {

					if(id == "starttime") {
						txtStartDate.value = rs.text;
						pageIndex1 = 1;
						searchData();
					}else if(id == "startmytime"){
						txtMyStartDate.value = rs.text;
						pageIndex2 = 1;
						searchMyData();
					}
					_self.picker.dispose();
					_self.picker = null;
				});
			}

		}, false);
	});

	document.getElementById("btnsearch").addEventListener('tap', function() {
		pageIndex1 = 1;
		document.getElementById("orderullist").innerHTML="";
		searchData();
	});
	document.getElementById("btnmysearch").addEventListener('tap', function() {
		pageIndex2 = 1;
		document.getElementById("myorderullist").innerHTML="";
		searchMyData();
	});
	
	document.getElementById("myTab").addEventListener('slide',function(e){
		tabIndex=e.detail.slideNumber;
		if(tabIndex==0){
			pageIndex1 = 1;
			searchData();
		}else{
			pageIndex2 = 1;
			searchMyData();
		}
	})
	
	mui('#sheet1').on('tap','.sheet-item',function(){
		mui('#sheet1').popover('toggle');
		if(tabIndex==0){
			document.getElementById("bidtype1").innerHTML=this.innerHTML;
			bidType1=this.dataset.type;
			pageIndex1 = 1;
			searchData();
		}else{
			document.getElementById("bidtype2").innerHTML=this.innerHTML;
			bidType2=this.dataset.type;
			pageIndex2 = 1;
			searchMyData();
		}
	}) 
}

if(IS_APP) {
	mui.plusReady(function() {
		initView();
		initData();
	});
} else {
	initView();
	initData();
}