mui.init({
	swipeBack: false, //启用右滑关闭功能
	beforeback: function() {
		// var parent = plus.webview.currentWebview().opener();
		// mui.fire(parent, 'refresh');
		// return true;
	}
});

var ORDERDETAIL = {};
var reasonPicker = new mui.PopPicker();

function limitNum(self) {
	if (self.value != '' && self.value.substr(0, 1) == '.') {
		self.value = "";
	}
	self.value = self.value.replace(/^0*(0\.|[1-9])/, '$1'); //解决 粘贴不生效  
	self.value = self.value.replace(/[^\d.]/g, ""); //清除“数字”和“.”以外的字符  
	self.value = self.value.replace(/\.{2,}/g, "."); //只保留第一个. 清除多余的       
	self.value = self.value.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
	self.value = self.value.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3'); //只能输入两个小数       
	if (self.value.indexOf(".") < 0 && self.value != "") { //以上已经过滤，此处控制的是如果没有小数点，首位不能为类似于 01、02的金额  
		if (self.value.substr(0, 1) == '0' && self.value.length == 2) {
			self.value = self.value.substr(1, self.value.length);
		}
	}
}

function submit() {

	var memCode = window.localStorage.getItem("memcode");
	if (!memCode) {
		mui.alert("请先登录", "提示", "", null, "div");
		return false;
	}

	var quanlity = document.getElementById("quanlity").value;
	if (quanlity == "" || isNaN(quanlity)) {
		mui.alert("请填写投诉数量", "提示", "", null, "div");
		return false;
	}
	var remark = document.getElementById("txt_remark").value;
	if (remark == "") {
		mui.alert("请填写备注", "提示", "", null, "div");
		return false;
	}

	//投诉图片
	var pic = MediaManager.arrUploadedImg.length > 0 ? MediaManager.arrUploadedImg.join(',') : '';

	if (MediaManager.arrUploadedImg.length < 2) {
		mui.alert("至少上传两张图片", "提示", "", null, "div");
		return false;
	}

	$ajax(API_URL + '/Complain/Save', {
		data: {
			Ordernum: ORDERDETAIL.orderNum,
			Ordercommitid: ORDERDETAIL.id,
			Orderprice: ORDERDETAIL.orderPrice,
			Ssite: ORDERDETAIL.sSite,
			Productcode: ORDERDETAIL.code,
			Ordertime: ORDERDETAIL.orderTime,
			Memcode: memCode,
			ComplainQuanlity: quanlity,
			ComplainRemark: remark,
			Imgs: pic
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		beforeSend: function() {
			if (IS_APP) {
				plus.nativeUI.showWaiting("提交中，请稍候...");
			}
		},
		complete: function() {
			if (IS_APP) {
				plus.nativeUI.closeWaiting();
			}
		},
		success: function(data) {
			if (data.Success) {
				mui.toast(data.Msg);
				mui.later(function() {
					mui.back();
				}, 1000)
			} else {
				mui.toast(data.Msg);
			}
		}
	});
}

function initView() {
	document.getElementById("btnSubmit").addEventListener('tap', function() {
		submit();
	});
}

function getProductDetail() {
	$ajax(API_URL + '/Product/GetProductList', {
		data: {
			Code: ORDERDETAIL.code
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 2000, //超时时间设置为2秒；
		success: function(res) {
			if (res.Total > 0) {
				document.getElementById("unit").innerText = res.Rows[0].Unit;
			}
		}
	});
}

function initData() {
	let cur = plus.webview.currentWebview();
	//订单号
	let orderNum = cur.orderNum;
	let id = Number(cur.orderCommitId);
	let name = cur.name;
	let code = cur.code;
	let color = cur.color;
	let grade = cur.grade;
	let sSite = cur.sSite;
	let orderTime = cur.orderTime;
	let orderPrice = cur.orderPrice;
	ORDERDETAIL.orderNum = orderNum;
	ORDERDETAIL.name = name;
	ORDERDETAIL.code = code;
	ORDERDETAIL.color = color;
	ORDERDETAIL.grade = grade;
	ORDERDETAIL.sSite = sSite;
	ORDERDETAIL.orderTime = orderTime;
	ORDERDETAIL.orderPrice = orderPrice;
	ORDERDETAIL.id = id;

	document.getElementById("orderNum").value = orderNum;
	document.getElementById("product").value = code + name + color + grade;

	getProductDetail();
	//初始化
	MediaManager.init();
}


if (IS_APP) {
	mui.plusReady(function() {
		initData();
		initView();
	});
} else {
	// initData();
	initView();
}
