var guid = "";
var timeCount = 60; //验证码获取倒计时
var inter = null; //获取验证码定时器
mui.init({
	swipeBack: false, //启用右滑关闭功能
	beforeback: function() {
		var parent = plus.webview.currentWebview().opener();
		// mui.fire(parent, 'refresh');
		return true;
	}
});


function resetting(){
	//var username = document.getElementById("name").value;
	var username=document.getElementById("selMemcode").value;
	var userpassword = document.getElementById("txtPwd").value;
	var confirmPwd = document.getElementById("txtConfirmPwd").value;
	var phone = document.getElementById("txtPhone").value;
	if (userpassword == "") {
		mui.alert("请输入你的密码", "提示", "", null, "div");
		return false;
	}
	if (confirmPwd == "") {
		mui.alert("请输入确认密码", "提示", "", null, "div");
		return false;
	}
	if (userpassword != confirmPwd) {
		mui.alert("两次密码不一致，请重新输入", "提示", "", null, "div");
		return false;
	}
	if (phone == "") {
		mui.alert("请输入你的手机号", "提示", "", null, "div");
		return false;
	}
	var validCode = document.getElementById("txtValidCode").value;
	if (validCode == "") {
		mui.alert("请输入验证码", "提示", "", null, "div");
		return false;
	}
	if (guid == "") {
		mui.alert("请先点击获取验证码，再输入", "提示", "", null, "div");
		return false;
	}
	mui.ajax(API_URL + '/Member/ChangePwdByValiCode', {
		data: {
			memCode: username,
			newPwd: userpassword,
			phone: phone,
			guid: guid,
			validCode: validCode
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json'
		},
		success: function(data) {
			if (data.Success) {
				mui.alert('密码重置成功', '提示', function() {
					setTimeout(function() {
						mui.back();
					}, 500);
				})
			} else {
				mui.alert(data.Msg, "提示", "", null, "div");
			}
		},
		error: function() {
			mui.alert("注册失败！请稍后重试！", "提示", "", null, "div");
		}
	});
}

var MemCodeList = new Array();
var selMemcode = document.getElementById("selMemcode");
selMemcode.addEventListener("tap", function() {
	var picker = new mui.PopPicker();
	picker.setData(MemCodeList);
	picker.pickers[0].setSelectedIndex(1);
	picker.show(function(SelectedItem) {
		selMemcode.value = SelectedItem[0].value;
	})
})

//校对手机验证码，并获取对应的会员号
function CheckCodeAndGetMemcode(){
	var phone = document.getElementById("txtPhone").value;
	if (phone == "") {
		mui.alert("请输入你的手机号", "提示", "", null, "div");
		return false;
	}
	var validCode = document.getElementById("txtValidCode").value;
	if (validCode == "") {
		mui.alert("请输入验证码", "提示", "", null, "div");
		return false;
	}
	if (guid == "") {
		mui.alert("请先点击获取验证码，再输入", "提示", "", null, "div");
		return false;
	}
	mui.ajax(API_URL + '/Member/GetMemberCodeByValiCode', {
		data: {
			phone: phone,
			guid: guid,
			validCode: validCode
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json'
		},
		success: function(data) {
			if (data.Success) {
				for(var i=0;i<data.MemCode.length;i++){
					MemCodeList[i]=new Object();
					MemCodeList[i].text=data.MemCode[i];
					MemCodeList[i].value=data.MemCode[i];
				}
				if(data.Total<2){
					document.getElementById("selMemcode").disabled="disabled";
				}
				selMemcode.value=data.MemCode[0];
				document.getElementById("step1").style.display="none";
				document.getElementById("step2").style.display="";
			} else {
				mui.alert(data.Msg, "提示", "", null, "div");
			}
		},
		error: function() {
			mui.alert("注册失败！请稍后重试！", "提示", "", null, "div");
		}
	});
}

function initView() {
	document.getElementById("btnCheckCode").addEventListener('tap',function(){
		CheckCodeAndGetMemcode();
	});
	document.getElementById('btnGetCode').addEventListener('tap', function() {
		var phoneTxt = document.getElementById("txtPhone").value;
		if (phoneTxt.trim() == "") {
			return mui.toast('请先输入手机号！')
		}
		if (!(/^1[3456789]\d{9}$/.test(phoneTxt))) {
			mui.alert('手机号码有误，请重新输入','提示','',null,'div');
			return false;
		}
		var myTimeCount = timeCount;
		var _this = this;
		_this.disabled = "true";
		_this.innerHTML = myTimeCount + " s后获取";
		inter = setInterval(function() {
			if (myTimeCount == 0) {
				clearInterval(inter);
				_this.innerHTML = "重新获取";
				_this.disabled = "";
			} else {
				myTimeCount--;
				_this.innerHTML = myTimeCount + " s后获取";
			}
		}, 1000);
		guid = uuid();
		mui.ajax(API_URL + '/RandomCode/GetResetPwdPhoneCode', {
			data: {
				phone: phoneTxt,
				guid: guid
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				if (data.Success) {
					mui.toast(data.Msg);
				} else {
					mui.alert(data.Msg);
					clearInterval(inter);
					_this.innerHTML = "获取验证码";
					_this.disabled = "";
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast('发送手机验证码失败！');
				clearInterval(inter);
				_this.innerHTML = "获取验证码";
				_this.disabled = "";
			}
		});
	})
	document.getElementById("btnReset").addEventListener('tap', function() {
		resetting();
	});
	
	mui(document.body).on('tap','.opweb',function(){
		plus.runtime.openWeb(API_URL+this.getAttribute('_href'));
		return false;
	}) 

}

if (IS_APP) {
	mui.plusReady(function() {
		StatusBar.setWhite();
		initView();
	});
} else {
	initView();
}