mui.init({
	swipeBack: false //启用右滑关闭功能
});
var memcode = window.localStorage.getItem("memcode");
if(memcode == "" || memcode == null) {
	mui.openWindow("login.html");
}
var ordernum = getQueryString("ordernum");

function initData() {
	$ajax(API_URL + '/Orderpasteform/GetOrderpasteformListByOrderuserAndOrderNum', {
		data: {
			OrderNum: ordernum,
			pageSize: 1000
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json'
		},
		beforeSend: function() {
			if(IS_APP) {
				plus.nativeUI.showWaiting("加载中，请稍候...");
			}
		},
		complete: function() {
			if(IS_APP) {
				plus.nativeUI.closeWaiting();
			}
		},
		success: function(data) {
			var objs = data.Rows;
			var arr = [];
			for(var i = 0; i < objs.length; i++) {
				var curordertime = objs[i].Ordertime.substring(0, 10);
				if(arr.indexOf(curordertime) == -1) {
					arr.push(curordertime);
				}
			}
			var html = "";
			var total18 = 0.00;
			var total2 = 0.00;
			for(var x = 0; x < arr.length; x++) {
				var strhtml18 = "";
				var strhtml2 = "";
				var sign = 0;
				var sign18 = 0;
				var sign2 = 0;
				total18 = 0.00;
				total2 = 0.00;
				for(var i = 0; i < objs.length; i++) {
					var a = "";
					var b = "";
					if(objs[i].Ordertime.substring(0, 10) == arr[x]) {
						if(objs[i].Ordertype == 18) {
							if(sign18 == 0) {
								a += '<div class="my_bg">';
								a += '<div class="mui-control-content mui-active pro_flowerdiv">';
								a += '<div class="order_num"><a>订单日期：' + arr[x] + '</a><span class="my_xg">竞购</span></div>';
								a += '<div class="order_btm">';
							}
							b += '<div class="order_list"><p class="mui-ellipsis">' +
								'(' + objs[i].Supcode + '' + objs[i].Productcode + ')<br />' + objs[i].Productname + '</p><span>￥' +
								objs[i].Orderprice + '</span><a>x' + objs[i].Ordercount +
								'</a><b>￥' + objs[i].Orderamount + '</b></div>';
							total18 += parseFloat(objs[i].Orderamount);
							if(sign18 == 0) {
								strhtml18 += a + b;
							} else if(sign18 > 0) {
								strhtml18 += b;
							}
							sign18++;
						} else {
							if(sign2 == 0) {
								a += '<div class="my_bg">';
								a += '<div class="mui-control-content mui-active pro_flowerdiv">';
								a += '<div class="order_num"><a>订单日期：' + arr[x] + '</a><span class="my_xg">订购</span></div>';
								a += '<div class="order_btm">';
							}

							b += '<div class="order_list"><p class="mui-ellipsis">' +
								'(' + objs[i].Supcode + '' + objs[i].Productcode + ')<br />' + objs[i].Productname + '</p><span>￥' +
								objs[i].Orderprice + '</span><a>x' + objs[i].Ordercount +
								'</a><b>￥' + objs[i].Orderamount + '</b></div>';
							total2 += parseFloat(objs[i].Orderamount);
							if(sign2 == 0) {
								strhtml2 += a + b;
							} else if(sign2 > 0) {
								strhtml2 += b;
							}
							sign2++;
						}

						sign++;
					}
				}
				var c = "";
				if(strhtml18 != "") {
					c += '</div>';
					c += '<div class="order_sum my_sum">共计' + sign18 + '件商品 合计：<a>￥' + total18.toFixed(2) + '</a></div>';
					c += '</div>';
					c += '</div>';
				}

				var d = "";
				if(strhtml2 != "") {
					d += '</div>';
					d += '<div class="order_sum my_sum">共计' + sign2 + '件商品 合计：<a>￥' + total2.toFixed(2) + '</a></div>';
					d += '</div>';
					d += '</div>';
				}

				html += strhtml18 + c + strhtml2 + d;
			}
			document.getElementById("divmyorderlist").innerHTML = html;
		}
	});
}

if(IS_APP) {
	mui.plusReady(function() {
		initData()
	});
} else {
	initData();
}