mui.init({
	swipeBack: false //启用右滑关闭功能
});
var imgs = [];
function initData() {
	
	$ajax(API_URL + '/Information/GetInformationList', {
		data: {
			pageSize: 1,
			Id: this.getQueryString("id")
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		beforeSend: function() {
			if(IS_APP) {
				plus.nativeUI.showWaiting("加载中，请稍候...");
			}
		},
		complete: function() {
			if(IS_APP) {
				plus.nativeUI.closeWaiting();
			}
		},
		success: function(data) {
			var objs = data.Rows;
			if(objs.length > 0) {
				document.getElementById("newsTitle").innerHTML = objs[0].Title;
				var content = clearWordStyle(objs[0].Bodytext);
				content = content.replace(/<img [^>]*src=['"][^(http)]([^'"]+)[^>]*>/gi,'<img src="http://brightenflower.cn/$1" style="max-width:100%;height:auto" />');
				document.getElementById("newsContent").innerHTML = content;
				mui("img").each(function(i,j){
					imgs.push(j.src);
				})
				mui('#newsContent').on('tap','img',function(){
					var index = imgs.indexOf(this.src);
					plus.nativeUI.previewImage(imgs,{
						current:index,
						indicator:"number"
					});
				}) 
			}else{
				document.getElementById("newsContent").innerHTML = '<p class="empty-tip">内容为空~</p>'
			}
		}
	});
}

function clearWordStyle(html) {
	// Remove all SPAN tags
	html = html.replace(/<\/?SPAN[^>]*>/gi, "");
	// Remove Class attributes
	html = html.replace(/<(\w[^>]*) class=([^ |>]*)([^>]*)/gi, "<$1$3");
	// Remove Style attributes
	html = html.replace(/<(\w[^>]*) style="([^"]*)"([^>]*)/gi, "<$1$3");
	// Remove Lang attributes
	html = html.replace(/<(\w[^>]*) lang=([^ |>]*)([^>]*)/gi, "<$1$3");
	// Remove XML elements and declarations
	html = html.replace(/<\\?\?xml[^>]*>/gi, "");
	// Remove Tags with XML namespace declarations: <o:p></o:p>
	html = html.replace(/<\/?\w+:[^>]*>/gi, "");
	// 替换表格宽度
	html = html.replace(/<table(.*)width=['"](\d*)['"](.*)/gi, "<table$1width=\"auto\" border=\"1\"$3");
	// Transform <P> to <DIV>
	var re = new RegExp("(<P)([^>]*>.*?)(<\/P>)", "gi");
	return html;
}

if(IS_APP) {
	mui.plusReady(function() {
		initData()
	});
} else {
	initData();
}