var memcode = window.localStorage.getItem("memcode");
var sSite = window.localStorage.getItem("market");
var txtStartDate = document.getElementById("starttime");
var txtEndDate = document.getElementById("endtime");
var filterSsite = "";
var OrderType = {
	onsale: "onsale",
	book: "book"
};
var filterOrder = OrderType.onsale;
var pageIndex = 1;
var pageSize = 20;

(function initData() {
	if (memcode == "" || memcode == null) {
		return mui.openWindow("login.html"); //yjp修改
	}
	var date = new Date();
	var startDate = RDateUtil.addDate(date, -7);
	txtStartDate.value = RDateUtil.formatDate(startDate, "yyyy-MM-dd");
	txtEndDate.value = RDateUtil.formatDate(date, "yyyy-MM-dd");
})();

mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: ".mui-scroll-wrapper", //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
		up: {
			height: 50, //可选.默认50.触发上拉加载拖动距离
			auto: true, //可选,默认false.自动上拉加载一次
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			callback: searchData //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

//阻尼系数
var deceleration = mui.os.ios ? 0.003 : 0.0009;

mui('.mui-scroll-wrapper').scroll({
	bounce: true,
	indicators: true, //是否显示滚动条
	deceleration: deceleration
});

function isMore(total) {
	if (pageIndex * pageSize >= total) {
		mui('.mui-scroll-wrapper').pullRefresh().endPullupToRefresh(true);
	} else {
		mui('.mui-scroll-wrapper').pullRefresh().endPullupToRefresh(false);
		pageIndex++;
	}
}

function resetPullUp() {
	mui('.mui-scroll-wrapper').pullRefresh().refresh(true);
	pageIndex = 1;
	document.getElementById("ulOrder").innerHTML = "";
	mui('.mui-scroll-wrapper').scroll().scrollTo(0, 0, 0); //100毫秒滚动到顶
}



function searchData() {

	if (txtStartDate.value == "") {
		mui.alert("请选择开始日期", "", "", null, "div");
		return false;
	}
	if (txtEndDate.value == "") {
		mui.alert("请选择结束日期", "", "", null, "div");
		return false;
	}
	var url = '/Ordercommit/GetVListByUserCode';
	if (filterOrder == OrderType.book) {
		url = '/Orderbookhis/GetBookHisListByUserCode';
	}
	$ajax(API_URL + url, {
		data: {
			startTime: txtStartDate.value,
			endTime: txtEndDate.value,
			memCode: memcode,
			sSite: filterSsite,
			orderType: filterOrder,
			pageIndex: pageIndex,
			pageSize: pageSize
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json'
		},
		success: function(data) {
			var objs = data.Rows;
			var html = '';
			isMore(data.Total);
			if (objs.length > 0) {
				if (filterOrder == OrderType.onsale) {
					for (var i = 0; i < objs.length; i++) {
						var order = objs[i];
						var obj = {
							code: order.Ordernum,
							ssite: order.Ssite,
							ordertype: filterOrder
						};
						var objStr = encodeURIComponent(JSON.stringify(obj));
						html +=
							'<li class="mui-table-view-cell"><a class="mui-navigate-right open-url" data-obj="' +
							objStr + '" >' +
							'<div class="tra_title"><span class="tra_title_l"><i>' + order.Commitedate
							.substring(0, 10) + '</i><span class="t_ul_span">' + order.Ordernum +
							'</span></span><span class="tra_title_r"><span>数量：' + order.Ordercount +
							'</span><span>金额：￥' + order.Ordermoney + '</span></span></div></a></li>';
					}
				} else {
					for (var i = 0; i < objs.length; i++) {
						var order = objs[i];
						var obj = {
							saledate: order.Saledate,
							ssite: order.Ssite,
							ordertype: filterOrder
						};
						var objStr = encodeURIComponent(JSON.stringify(obj));
						html +=
							'<li class="mui-table-view-cell"><a class="mui-navigate-right open-url" data-obj="' +
							objStr + '" >' +
							'<div class="tra_title"><span class="tra_title_l"><i>' + order.Saledate +
							'</i><span class="t_ul_span">' + order.Ssite +
							'</span></span><span class="tra_title_r"><span>数量：' + order.Allcount +
							'</span><span>金额：￥' + order.Allmoney + '</span></span></div></a></li>';
					}
				}
			}
			document.getElementById("spanTotal").innerHTML = data.Total;
			var oldHtml = document.getElementById("ulOrder").innerHTML;
			document.getElementById("ulOrder").innerHTML = oldHtml + html;
		},
		error: function() {
			mui('.mui-scroll-wrapper').pullRefresh().endPullupToRefresh(true);
		}
	})
}

function getSsite() {
	$ajax(API_URL + '/Product/GetSaleSite', {
		data: {},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var objs = data.Rows;
			if (objs.length > 0) {
				var html =
					'<li class="mui-table-view-cell"><a class="site-item active" data-site="">全部站点</a></li>';
				for (var i = 0; i < objs.length; i++) {
					html += '<li class="mui-table-view-cell"><a class="site-item" data-site="' + objs[i]
						.Ssite + '">' + objs[i].Ssite + '</a></li>'
				}
				document.getElementById("ulSite").innerHTML = html;
			}
		}
	});
}

function initView() {
	var btns = mui('.my-text');
	btns.each(function(i, btn) {
		btn.addEventListener('tap', function() {
			var _self = this;
			if (_self.picker) {
				_self.picker.show(function(rs) {
					if (id == "starttime") {
						txtStartDate.value = rs.text;
					} else {
						txtEndDate.value = rs.text;
					}
					_self.picker.dispose();
					_self.picker = null;
				});
			} else {
				var optionsJson = this.getAttribute('data-options') || '{}';
				var options = JSON.parse(optionsJson);
				options.endDate = new Date();
				var id = this.getAttribute('id');

				_self.picker = new mui.DtPicker(options);
				_self.picker.show(function(rs) {

					if (id == "starttime") {
						txtStartDate.value = rs.text;
					} else {
						txtEndDate.value = rs.text;
					}
					_self.picker.dispose();
					_self.picker = null;
				});
			}

		}, false);
	});

	document.getElementById("btnsearch").addEventListener('tap', function() {
		resetPullUp();
		searchData();
	});

	mui(document.body).on('tap', '.site-item', function() {
		mui(".site-item").each(function(index, value) {
			removeClass(value, "active");
		})
		addClass(this, "active");
		mui("#sitePopover").popover("hide");
		document.getElementById("sSiteBtn").innerHTML = this.innerHTML;
		filterSsite = this.dataset.site;
		resetPullUp();
		searchData();
	})
	document.getElementById('changeOrder').addEventListener('tap', function() {
		if (this.dataset.type == OrderType.onsale) {
			filterOrder = OrderType.book;
			this.setAttribute('data-type', filterOrder);
			this.innerHTML = "切换现售单";
		} else {
			filterOrder = OrderType.onsale;
			this.setAttribute('data-type', filterOrder);
			this.innerHTML = "切换预定单";
		}
		resetPullUp();
		searchData();
	})

	mui('body').on('tap', '.open-url', function() {
		var data = decodeURIComponent(this.dataset.obj);
		openurl('order_sub_list.html', JSON.parse(data))
		// mui.openWindow('order_sub_list.html',);
	});
}

if (IS_APP) {
	mui.plusReady(function() {
		initView();
		// initData();
		getSsite();
	});
} else {
	initView();
	// initData();
	getSsite();
}
