mui.init({
	swipeBack: false //启用右滑关闭功能
});

mui.back = function() {
	var btnArray = ['是', '否'];
	mui.confirm('是否退出应用？', '缤纷鲜花', btnArray, function(e) {
		if (e.index == 0) {
			plus.runtime.quit();
		}
	})
}

var btnLogin = document.getElementById("btnLogin");
var btnLogout = document.getElementById("btnLogout");

function logout() {
	var storage = window.localStorage;
	var memCode=storage.getItem("memcode");
	storage.removeItem("memcode");
	storage.removeItem("mempwd");
	storage.removeItem("market");
	storage.removeItem("isFlag");
	// storage.clear();
	storage.setItem("pre_memcode",memCode);
	document.getElementById("topmemcode").innerHTML = '';
	document.getElementById("lblAccount").innerHTML = '';
	var webs = plus.webview.all();
	// for (var i = 0; i < webs.length; i++) {
	// 	if (webs[i].id.indexOf("login.html") != -1) {
	// 		plus.webview.close(webs[i].id, "none");
	// 		break;
	// 	}
	// }
	mui.openWindow('login.html?from=logout');
}

function initData() {
	var memcode = window.localStorage.getItem("memcode");
	if (!memcode) {
		if (btnLogin) {
			btnLogin.style.display = '';
		}
		if (btnLogout) {
			btnLogout.style.display = 'none';
		}
		return;
	} else {
		if (btnLogin) {
			btnLogin.style.display = 'none';
		}
		if (btnLogout) {
			btnLogout.style.display = '';
		}
	}

	$ajax(API_URL + '/Member/GetMemberByCode', {
		data: {
			memCode: memcode
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var member = data.Member;
			if (!isNullOrEmptyObj(member)) {
				document.getElementById("mType").innerText=member.Mtype;
				document.getElementById("topmemcode").innerText = member.Name;
				localStorage.setItem("memName", member.Name);
				document.getElementById("lblAccount").innerText = member.Monetary + "元";
			} else {
				mui.openWindow('login.html');
			}
		}
	});
}
// document.getElementById("updateCheck").addEventListener("tap", function() {
// 	checkUpdate();
// })

function initView() {
	mui('body').on('tap', 'a', function() {
		openurl(this.href);
		return false;
	},false);
	document.getElementById('vipBox').addEventListener('tap',function () {
	    openExtWindow(API_URL+'/MemberVIP/Index');
	})
	document.getElementById('btnLogin').addEventListener('tap', function() {
		myOpenWindow("login.html");
	});
	
	document.getElementById('btnLogout').addEventListener('tap', function() {
		var btns = [];
		if(!IS_APP){
			logout();
		}
		if (mui.os.android) {
			btns = [{
				title: "退出登录"
			}, {
				title: "关闭软件"
			}]
		} else {
			btns = [{
				title: "退出登录"
			}]
		}
		var act = plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: btns
			},
			function(e) {
				if (e.index == 1) {
					logout();
				} else if (e.index == 2) {
					plus.runtime.quit();
				} else {
					act=null;
				}
			}
		);
	});
}

if (IS_APP) {
	mui.plusReady(function() {
		initData();
		initView();
	});
} else {
	initData();
	initView();
}

window.addEventListener('refreshData', function(e) {
	initData();
});

//监听获取我的余额
window.addEventListener('initMoney', function(e) {
	// console.log("personalCenter_initMoney");
	initData();
});
