mui.init({
	swipeBack: true,//启用右滑关闭功能
	beforeback: function() {
		var parent = plus.webview.currentWebview().opener();
		mui.fire(parent, 'refreshUserInfo');
	}
});
var LoveId = 0;
var deposit = null;
var buyType = 0;
var isBid=0;//是否拍售
var memCode = localStorage.getItem("memcode");
var orderName = localStorage.getItem("memName");
var site = localStorage.getItem("market"); //网点
var isFlag = localStorage.getItem("isFlag");
var parentProduct={};
var currentProduct = {};
var productDetailKey = [];
var getProductXhr=null;

mui.ready(function() {
	mui(".mui-scroll-wrapper").scroll({
		bounce: true, //是否启用回弹
		indicators: false, //是否显示滚动条
		deceleration: mui.os.ios ? 0.003 : 0.0009
	})
})

function getMyLove() {
	$ajax(API_URL + '/Mylove/Get', {
		data: {
			memCode: memCode,
			productCode: parentProduct.Code
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var objs = data.Data;
			if (objs.IsLove) {
				var myloveicon = document.getElementById("myloveicon");
				addClass(myloveicon,'color-red');
				LoveId = objs.Row.Loveid;
			}
		}
	});
}

function setStarsStatus(rate) {
	rate = parseInt(rate);
	var html = '';
	for (var x = 0; x < rate; x++) {
		html += '<span data-index="' + (x + 1) + '" class="sel">★</span>';
	}
	if (rate < 5) {
		var end = 5;
		for (var y = end; y > rate; y--) {
			html += '<span data-index="' + y + '" >★</span>';
		}
	}
	return html;
}

function getEvaluate(code, fun) {
	$ajax(API_URL + '/Ordercommit/GetOrderEvaluateList', {
		data: {
			Code: code,
			page: 0,
			pageSize: 10
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if (data.Total > 0) {
				var objs = data.Rows;
				var html = '<ul class="mui-table-view">';
				for (var i = 0; i < objs.length; i++) {
					html += '<li class="mui-table-view-cell"><span class="eva-stars">' + setStarsStatus(objs[i].Evaluaterate) +
						'</span>';
					html += '<p class="eva-time">' + objs[i].Evaluatetime + '</p>';
					html += '<div class="eva-content">' + objs[i].Evaluatecontent + '</div></li>';
				}
				html += '</ul>';
				document.getElementById("eva_info").innerHTML = html;
			} else {
				document.getElementById("eva_info").innerHTML = '<p class="mui-text-center">暂无评价~</p>';
			}
			fun();
		},
		error: function(xhr, type, errorThrown) {

		}
	});
}

function initUserInfo() {

	if (memCode != null && memCode != "") {

		$ajax(API_URL + '/Member/GetMemberByCode', {
			data: {
				memCode: memCode
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json'
			},
			success: function(data) {
				var member = data.Member;
				deposit = member.Deposit;
				var monetary = member.Monetary == null ? 0 : member.Monetary.toFixed(2);
				document.getElementById("lblAccount").innerHTML = monetary + "元";
			}
		});
	}
}

//获取明天后天大后天的最低价、最高价
function getLowHighPrice(price) {
	var lowRate = 1;
	var highRate = 1;
	switch (buyType) {
		case 4:
			lowRate = 0.8;
			highRate = 1.2;
			break;
		case 5:
			lowRate = 0.6
			highRate = 1.4;
			break;
	}
	var newLowPrice = (Math.ceil(price * lowRate * 10) / 10).toFixed(1);
	var newHighPrice = (Math.ceil(price * highRate * 10) / 10).toFixed(1);
	return {
		low: newLowPrice,
		high: newHighPrice
	};
}

//显示产品详细信息
function showProInfo(product) {
	var html = '';
	for (var i = 0; i < productDetailKey.length; i++) {
		var v = productDetailKey[i].value;
		var t = productDetailKey[i].text;
		var proValue = product[v];
		if (proValue != "" && proValue != null) {
			html += '<li class="mui-table-view-cell"><label>' + t + '：</label><span>' + proValue + '</span></li>';
		}
	}
	document.getElementById("main_info").innerHTML = html;
}
function showProDetail (Product) {
	var imgUrl = IMG_PREFIX + Product.Picpath;
	document.getElementById("Picpath").src = imgUrl + "?imageView2/0/w/300/h/400";
	document.getElementById("Picpath").setAttribute("data-preview-src", imgUrl);
	// document.getElementById("h1title").innerHTML = Product.Brand + Product.Name;
	document.getElementById("Productname").innerHTML = Product.Name;
	document.getElementById("Productcode").innerHTML = Product.Code;
	document.getElementById("Grade").innerHTML = Product.Grade;
	mui(".unit").each(function() {
		this.innerHTML = Product.Unit;
	});
	mui(".unitprice").each(function() {
		this.innerHTML = "元/" + Product.Unit;
	});
	document.getElementById("Color").innerHTML = Product.Color;
	document.getElementById("Brand").innerHTML = Product.Brand;
	document.getElementById("Packcount").innerHTML = Product.Packcount;
	removeClass(document.getElementById("main_info"), "mui-hidden");
	document.getElementById("Ssite").innerHTML = site;
	document.getElementById("saledate").value = "" + Product.Saledate;
	mui.previewImage(function(img) {
		plus.navigator.setStatusBarBackground('#000000');
	}, function(img) {
		plus.navigator.setStatusBarBackground('#E87884');
	});
}
function showOrderBox () {
	//1现售,2预定,其他明天/后天/大后天
	if (buyType == 1) {
		if(parentProduct.Bidtype==3){
			document.getElementById("divBid").style.display = 'none';
			document.querySelector("#ulSale .greendiv").style.display="none";
		}else{
			document.querySelector("#ulSale .greendiv").style.display="";
		}
		document.getElementById("ulBook").style.display = 'none';
		document.getElementById("divBook").style.display = 'none';
		document.getElementById("ulSale").style.display = '';
		document.getElementById("divSale").style.display = '';
	} else if (buyType == 2) {
		document.getElementById("ulSale").style.display = 'none';
		document.getElementById("divSale").style.display = 'none';
		document.getElementById("divBook").style.display = '';
		document.getElementById("ulBook").style.display = '';
		document.getElementById("spanSaleDate").innerHTML = parentProduct.Saledate;
	} else {
		document.getElementById("spanSaleDate").innerHTML = parentProduct.Saledate;
		document.getElementById("ulSale").style.display = 'none';
		document.getElementById("divSale").style.display = 'none';
		document.getElementById("divBook").style.display = '';
		document.getElementById("ulLater").style.display = '';
	}
	
}

function initData() {
	if (buyType != 1) {
		getProductXhr=$ajax(API_URL + '/Product/GetVBookProduct', {
			data: {
				Id: parentProduct.Id,
				site:site,
				buyType:buyType
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				if(data.Code!=1){
					mui.alert(data.Msg,'提示','返回',function (e) {
					   mui.back()
					})
					return;
				}
				Product = data.Rows;
				currentProduct = Product;
				if (Product) {
					productDetailKey=data.Data.ProductKey;
					var minCoount = Product.Mincount;
					var Key = _DoOrder.getLaterKeyByBuyType(buyType);
					if (buyType == 2) {
						document.getElementById('marketname').innerHTML = site;
						document.getElementById("minCount").innerHTML = Product.Mincount;
						document.getElementById("maxCount").innerHTML = Product.Maxcount;
						document.getElementById("avgPrice").innerHTML = "" + Product.Averprice;
					} else {
						minCoount = 1;
						document.getElementById("latercount").innerHTML = Product[Key.count];
						document.getElementById("laterprice").innerHTML = Product[Key.price];
						if(Product[Key.is_rprice]==1){
							document.getElementById("laterprice").classList.add('color-red')
						}else{
							document.getElementById("laterprice").classList.remove('color-red')
						}
						document.getElementById("referprice").innerHTML = Product[Key.rprice];
						document.getElementById("saledate").value = "" + Product.Saledate;
						document.getElementById("spanSaleDate").innerText = "" + Product.Saledate;
					}
					// if (buyType == 4 || buyType == 5) {
					// 	document.getElementById("laterMinMax").style.display = "";
					// 	document.getElementById("latermin").innerHTML = getLowHighPrice(Product[Key.price]).low;
					// 	document.getElementById("latermax").innerHTML = getLowHighPrice(Product[Key.price]).high;
					// }
					var bookCountStr = '<div class="mui-numbox de_border" data-numbox-min="' + minCoount + '">' +
						'<button class="mui-btn mui-btn-numbox-minus" type="button">-</button>' +
						'<input id="bookCount" class="mui-input-numbox" type="number" />' +
						'<button class="mui-btn mui-btn-numbox-plus" type="button">+</button></div>';
					document.getElementById("bookCount_wrap").innerHTML = bookCountStr;
					// var imgUrl = IMG_PREFIX + Product.Picpath;
					// document.getElementById("Picpath").src = imgUrl + "?imageView2/0/w/300/h/400";
					// document.getElementById("Picpath").setAttribute("data-preview-src", imgUrl);
					// document.getElementById("h1title").innerHTML = Product.Brand + Product.Name;
					// document.getElementById("Productname").innerHTML = Product.Name;
					// document.getElementById("Productcode").innerHTML = Product.Code;
					// document.getElementById("Grade").innerHTML = Product.Grade;
					// mui(".unit").each(function() {
					// 	this.innerHTML = Product.Unit;
					// });
					// mui(".unitprice").each(function() {
					// 	this.innerHTML = "元/" + Product.Unit;
					// });
					// document.getElementById("Color").innerHTML = Product.Color;
					// document.getElementById("Brand").innerHTML = Product.Brand;
					// document.getElementById("Packcount").innerHTML = Product.Packcount;
					// showProInfo(Product);
					// removeClass(document.getElementById("main_info"), "mui-hidden");
					// document.getElementById("Ssite").innerHTML = site;
					// document.getElementById("saledate").value = "" + Product.Saledate;


					// var exHtml = `<div class="ex_info-item">正价率：${Product.Orate+"%"}</div>` +
					// 	`<div class="ex_info-item">缺货率：${Product.Srate+"%"}</div>` +
					// 	`<div class="ex_info-item">投诉率：${Product.Crate+"%"}</div>`;
					// document.getElementById("exInfo").innerHTML = exHtml;
					
					document.getElementById("Orate").innerHTML = Product.Orate.toFixed(2)+"%";
					document.getElementById("Srate").innerHTML = Product.Srate.toFixed(2)+"%";
					document.getElementById("Crate").innerHTML = Product.Crate.toFixed(2)+"%";
					showProInfo(Product);

					//重新加载numbox控件
					mui(".mui-numbox").numbox();
					mui(".de_buybtn").each(function(){
						this.removeAttribute('disabled');
					})

					mui.previewImage(function(img) {
						plus.navigator.setStatusBarBackground('#000000');
					}, function(img) {
						plus.navigator.setStatusBarBackground('#E87884');
					});

				}
			},
			error: function() {
				mui.toast('加载失败！');
			}
		});

	} else {
		getProductXhr=$ajax(API_URL + '/Product/GetVProduct', {
			data: {
				Id: parentProduct.Id,
				site: site,
				saleDate: parentProduct.Saledate,
				buyType:buyType
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				if(data.Code!=1){
					mui.alert(data.Msg,'提示','返回',function (e) {
					   mui.back()
					})
					return;
				}
				Product = data.Rows;
				currentProduct = Product;
				if (Product) {
					productDetailKey=data.Data.ProductKey;
					if (isBid == 1) {
						document.getElementById("divOnsale").style.display = 'none';
						document.getElementById("divBid").style.display = 'block';
					}else{
						document.getElementById("divOnsale").style.display = 'block';
						document.getElementById("divBid").style.display = 'none';
					}
					document.getElementById('marketname').innerHTML = '[' + Product.Ssite + ']';
					document.getElementById("curprice").innerHTML = Product.Price;
					document.getElementById("floorPrice").innerHTML = Product.Floorprice;
					document.getElementById("saledate").value = "" + Product.Saledate;
					document.getElementById("Timelycount").innerHTML = "" + Product.Timelycount;
					document.getElementById("bidPrice").setAttribute('data-floor', Product.Floorprice)
					mui(".unit").each(function() {
						this.innerHTML = Product.Unit;
					});
					document.getElementById("Orate").innerHTML = Product.Orate.toFixed(2)+"%";
					document.getElementById("Srate").innerHTML = Product.Srate.toFixed(2)+"%";
					document.getElementById("Crate").innerHTML = Product.Crate.toFixed(2)+"%";
					showProInfo(Product);

					mui(".mui-numbox").numbox();
					mui(".de_buybtn").each(function(){
						this.removeAttribute('disabled');
					})
					mui.previewImage(function(img) {
						plus.navigator.setStatusBarBackground('#000000');
					}, function(img) {
						plus.navigator.setStatusBarBackground('#E87884');
					});
				}
			},
			error: function() {
				mui.toast('加载失败！');
			}
		});
	}

	initUserInfo();
	getMyLove();
}
function resetData () {
	LoveId=0;
	if(getProductXhr)getProductXhr.abort();
	getProductXhr=null;
	parentProduct={};
	currentProduct={};
	document.getElementById("latercount").innerHTML='';
	document.getElementById("laterprice").innerHTML = '';
	document.getElementById("Timelycount").innerHTML = '';
	document.getElementById("curprice").innerHTML = '';
	document.getElementById("floorPrice").innerHTML = '';
	document.getElementById("avgPrice").innerHTML = '';
	document.getElementById("minCount").innerHTML = '';
	document.getElementById("maxCount").innerHTML = '';
	document.getElementById("main_info").innerHTML='';
	// document.getElementById("exInfo").innerHTML='';
	document.getElementById("ulLater").style.display='none';
	document.getElementById("ulBook").style.display='none';
	document.getElementById("ulSale").style.display='none';
	document.getElementById("orderCount").value=1;
	document.getElementById("bidCount").value=1;
	// document.getElementById("divBid").style.display="none";
	mui(".order-area").each(function(){
		this.style.display="none";
	})
	mui(".de_buybtn").each(function(){
		this.setAttribute('disabled','disabled');
	})
	
	mui("#exInfo .ex_info-item span").each(function(){
		this.innerHTML='';
	})
	document.getElementById("eva_info").classList.remove('show');
	document.getElementById("eva_view").innerHTML = '查看评价';
	var myloveicon = document.getElementById("myloveicon");
	removeClass(myloveicon,'color-red');
}

function initView() {	
	document.getElementById('eva_view').addEventListener('tap', function() {
		var eva_info_elem = document.getElementById("eva_info");
		var eva_view_elem = document.getElementById("eva_view");
		if (!eva_info_elem.classList.contains("show")) {
			getEvaluate(parentProduct.Code, function() {
				eva_info_elem.classList.add("show");
				eva_view_elem.innerHTML = '收起评价';
			});
		} else {
			eva_info_elem.classList.remove("show");
			eva_view_elem.innerHTML = '查看评价';
		}

	})
	//订购
	document.getElementById("btnDoOrder").addEventListener('tap', function() {
		doOrder(currentProduct.Id, OrderType.doorder);
	});
	//竞购
	document.getElementById("btnBidOrder").addEventListener('tap', function() {
		bidOrder(currentProduct.Id, OrderType.bidorder);
	});

	//预订
	document.getElementById("btnBookOrder").addEventListener('tap', function() {
		if (_DoOrder.getBuyWayByBuyType(buyType) == "book") {
			bookOrder(currentProduct.Id, OrderType.bookorder);
		} else {
			var curOrderType = _DoOrder.getOrderTypeByBuyType(buyType);
			ottOrder(currentProduct.Id, curOrderType)
		}
	});

	// if(this.getQueryString("isForSale")) {
	// 	isForSale = parseInt(this.getQueryString("isForSale"));
	// }

	mui('body').on('tap', 'a', function() {
		if (this.href != 'javascript:;') {
			mui.openWindow(this.href);
		}
	});
}

if (IS_APP) {
	mui.plusReady(function() {
		// initData();
		initView();
	});
} else {
	buyType=2;
	parentProduct.Id=317;
	parentProduct.Saledate='2020-05-16'
	initData();
	initView();
}

function doOrder(id, orderType) {
	var orderCount = document.getElementById("orderCount").value;
	var data = {
		sSite: localStorage.getItem("market"),
		currentProduct: currentProduct,
		orderCount: orderCount,
		deposit: deposit,
		orderType: orderType
	};
	Utility.doOrder(data, function(res) {
		initUserInfo();
		initData();
		// currentProduct.Timelycount = currentProduct.Timelycount - orderCount;
		// document.getElementById("Timelycount").innerHTML = currentProduct.Timelycount;
	})
}

function bidOrder(id, orderType) {
	var data = {
		sSite: localStorage.getItem("market"),
		currentProduct: currentProduct,
		bidCount: document.getElementById("bidCount").value,
		bidPrice: document.getElementById("bidPrice").value,
		deposit: deposit,
		orderType: orderType
	};
	Utility.bidOrder(data, function(res) {
		initUserInfo();
		initData();
	})
}

function bookOrder(id, orderType) {
	var data = {
		sSite: localStorage.getItem("market"),
		currentProduct: currentProduct,
		bookCount: document.getElementById("bookCount").value,
		saleDate: parentProduct.Saledate,
		deposit: deposit,
		orderType: orderType
	};
	Utility.bookOrder(data, function(res) {
		initUserInfo();
		initData();
	})
}

function ottOrder(id, orderType) {
	var data = {
		sSite: localStorage.getItem("market"),
		currentProduct: currentProduct,
		ottCount: document.getElementById("bookCount").value,
		saleDate: parentProduct.Saledate,
		deposit: deposit,
		orderType: orderType
	};
	Utility.ottOrder(data, function(res) {
		initUserInfo();
		initData();
	})
}

//监听自定义事件，获取详情  
document.addEventListener('get_detail', function(event) {
	site = localStorage.getItem("market"); //区域
	isFlag = localStorage.getItem("isFlag");
	parentProduct=event.detail.product;
    var productId = parentProduct.Id;
    if(!productId) {  
        return;  
    }  
    //前页传入的数据，直接渲染，无需等待ajax请求详情后  
	buyType = parseInt(event.detail.buyType);
	isBid = parseInt(event.detail.isBid);
	showProDetail(parentProduct);
	showOrderBox();
	// mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);//100毫秒滚动到顶
	// orderType = event.detail.orderType;
	// saleDate = event.detail.saleDate;
	// isNow = event.detail.isNow;
	//先隐藏，等数据加载完再显示
	document.getElementById("divOnsale").style.display = 'none';
	document.getElementById("divBid").style.display = 'none';
    //向服务端请求详情内容  
    initData();  
});
//重写返回逻辑，返回时隐藏详情页webview  
mui.back = function() {  
	resetData(); //重置页面数据
    plus.webview.currentWebview().hide("auto", 300);
}  
//窗口隐藏时，重置页面数据  
mui.plusReady(function () {  
    var self = plus.webview.currentWebview();  
    self.addEventListener("hide",function (e) {  
        // window.scrollTo(0, 0);//重置滚动条位置  
		mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);
        resetData();//重置页面数据  
    },false);  
})

//设置为我的最爱
document.getElementById("divMyLove").addEventListener('tap', function() {
	if (memCode != "" && memCode != null) {
		var productcode = document.getElementById("Productcode").innerHTML;
		$ajax(API_URL + '/Mylove/AddOrUpdateFromH5', {
			data: {
				Orderuser: memCode,
				Code: productcode,
				Id: LoveId
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 100000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json'
			},
			success: function(data) {
				if (IS_APP) {
					//更新我的最爱
					var parent = plus.webview.currentWebview().opener();
					if (parent) {
						mui.fire(parent, 'initFavor');
					}
				}
				LoveId = parseInt(data.RecordId);
				var myloveicon = document.getElementById("myloveicon");
				if (LoveId > 0) {
					myloveicon.style.color = "#f60c27";
					mui.toast(data.Msg);
				} else {
					myloveicon.style.color = "#aaa99e";
					mui.toast(data.Msg);
				}
			}
		});
	} else {
		mui.openWindow("login.html");
	}
});
