// mui('.mui-scroll-wrapper').scroll({
// 	bounce: false,
// 	indicators: true, //是否显示滚动条
// });

var currentProduct = null;
var productList = [];
var pageIndex = 1;
var pageSize = 10;
var imgIndex = 0;
var memCode = window.localStorage.getItem('memcode');
var orderName = window.localStorage.getItem("memName");
var buyType = 1;
var searchtext = "";
var saleDate = "";
var site = "";
var deposit = 0;
var Proportion = 1;
var searchType = null;
var searchRange = "";
var isNew = -1;
var ptype = "";
var pclass = "";
var color = "";
var brand = "";
var grade = "";

/*
 * 根据Id获取产品对象
 */
function getProductById(id) {
	for (var i = 0; i < productList.length; i++) {
		if (productList[i].Id == id) {
			return productList[i];
		}
	}
	return null;
}

function init() {
	mui.init({
		swipeBack: false, //启用右滑关闭功能
		pullRefresh: {
			container: "#refreshContainer", //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
			up: {
				height: 50, //可选.默认50.触发上拉加载拖动距离
				auto: true, //可选,默认false.自动上拉加载一次
				contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
				contentnomore: '没有更多了', //可选，请求完毕若没有更多数据时显示的提醒内容；
				callback: initData //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
			}
		}
	});
}

function initData() {
	if (searchRange == "favor") {
		url = '/Mylove/GetListByMemcode';
		if (buyType != BuyType.onSale) {
			url = '/Mylove/GetBookListByMemcode';
		}
	} else {
		if (buyType == 1) {
			url = "/Product/GetListByCode";
		} else {
			url = "/Product/GetBookListByCode";
		}
	}
	$ajax(API_URL + url, {
		data: {
			memCode: memCode,
			keyWord: searchtext,
			saledate: saleDate,
			site: site,
			buyType: searchType,
			// searchType: searchType,
			isNew: isNew,
			ptype: ptype,
			pclass: pclass,
			color: color,
			brand: brand,
			grade: grade,
			page: pageIndex,
			pageSize: pageSize
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var objs = data.Rows;
			if (pageIndex * pageSize >= data.Total) {
				mui('.mui-scroll-wrapper').pullRefresh().endPullupToRefresh(true);
			} else {
				mui('.mui-scroll-wrapper').pullRefresh().endPullupToRefresh(false);
			}
			if (objs.length > 0) {
				for (var i = 0; i < objs.length; i++) {
					productList.push(objs[i])
				}
				var curUl = document.getElementById("searchresultList");
				_DoOrder.showHtml(objs, curUl, buyType, searchType);
				mui('.od_littlefont').on('tap', '.btn-detail', function() {
					// mui.openWindow(this.getAttribute("loadUrl") + "&saleDate=" + saleDate + "&site=" + site);
					// return false;
					var isBid = searchType == 2 ? 1 : 0;
					_detail_webview.open_detail({
						id: this.dataset.id,
						buyType: this.dataset.bt,
						code: this.dataset.code,
						isBid: isBid
					})
					return false;
				});
				mui(".mui-numbox").numbox();
				mui.previewImage();
				pageIndex++;
			} else {
				// document.getElementById("searchresultList").innerHTML = "<li class='mui-table-view-cell mui-media seach_li'>暂无产品哦，或者你可以换个条件再查查？</li>";
			}
			document.getElementById("searchcount").innerHTML = '，共' + data.Total + '条';
		},
		error: function() {
			mui('.mui-scroll-wrapper').pullRefresh().endPullupToRefresh(false);
			mui.toast('加载失败');
		}
	});
}

// (function($){
// 	$('.mui-scroll-wrapper').scroll({
// 		bounce: false,
// 		indicators: true, //是否显示滚动条
// 	});
// 	$.ready(function(){
// 		$('.mui-slider-group .mui-scroll4').pullToRefresh({
// 			up: {
// 				auto:true,
// 				callback: function() {
// 					var self = this;
// 					setTimeout(function() {
// 						initData();
// 						self.endPullUpToRefresh();
// 					}, 1000);
// 				}
// 			},
// 			down:{
// 				style:'circle',//必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
// 				container:".mui-table-view",
// 				callback:function(){
// 					var self = this;
// 					setTimeout(function() {
// 						pageIndex = 1;
// 						initData();
// 						self.endPullDownToRefresh();
// 					}, 1000);
// 				}
// 			}
// 		});
// 	})
// })(mui)

function getParams() {
	var current = plus.webview.currentWebview();
	buyType = current.buyType;
	searchtext = current.searchText;
	saleDate = current.saleDate;
	site = current.site;
	deposit = current.deposit;
	searchType = current.searchType;
	searchRange = current.searchRange;
	isNew = current.isNew;
	ptype = current.ptype;
	pclass = current.pclass;
	color = current.color;
	brand = current.brand;
	grade = current.grade;
}

function doOrder(id, orderType) {
	initUserInfo();
	var currentProduct = getProductById(id);
	var orderCount = document.getElementById("do" + id).value;
	var data = {
		sSite: localStorage.getItem("market"),
		currentProduct: currentProduct,
		orderCount: orderCount,
		deposit: deposit,
		orderType: orderType
	};
	Utility.doOrder(data, function(res) {
		currentProduct.Timelycount = currentProduct.Timelycount - orderCount;
		document.getElementById("eid" + currentProduct.Id).innerHTML = currentProduct.Timelycount;
	})
}

function bidOrder(id, orderType) {
	initUserInfo();
	var currentProduct = getProductById(id);
	var data = {
		sSite: localStorage.getItem("market"),
		currentProduct: currentProduct,
		bidCount: document.getElementById("bid" + id).value,
		bidPrice: document.getElementById("price" + id).value,
		deposit: deposit,
		orderType: orderType
	};
	Utility.bidOrder(data, function(res) {

	})
}

function bookOrder(id, orderType) {
	initUserInfo();
	var currentProduct = getProductById(id);
	var data = {
		sSite: localStorage.getItem("market"),
		currentProduct: currentProduct,
		bookCount: document.getElementById("bb" + id).value,
		saleDate: saleDate,
		deposit: deposit,
		orderType: orderType
	};
	Utility.bookOrder(data, function(res) {})
}

function ottOrder(id, orderType) {
	initUserInfo();
	var currentProduct = getProductById(id);
	var data = {
		sSite: localStorage.getItem("market"),
		currentProduct: currentProduct,
		ottCount: document.getElementById("ott" + id).value,
		saleDate: saleDate,
		deposit: deposit,
		orderType: orderType
	};
	Utility.ottOrder(data, function(res) {})
}

function initView() {

}

function initWebViewDetail() {
	titleNView = { //详情页原生导航配置
		backgroundColor: '#E87884', //导航栏背景色
		titleText: '', //导航栏标题
		titleColor: '#FFFFFF', //文字颜色
		autoBackButton: true, //自动绘制返回箭头
	};
	//预加载详情页
	webview_detail = mui.preload({
		url: 'product_details.html',
		id: 'product_detail',
		styles: {
			"render": "always",
			"popGesture": "hide",
			"bounce": "vertical",
			"bounceBackground": "#efeff4",
			"titleNView": titleNView
		}
	});

}

var _detail_webview = {
	webviewObj: null,
	titleNView: null,
	init: function() {
		var _this = this;
		_this.titleNView = { //详情页原生导航配置
			backgroundColor: '#E87884', //导航栏背景色
			titleText: '', //导航栏标题
			titleColor: '#FFFFFF', //文字颜色
			autoBackButton: true, //自动绘制返回箭头
		};
		//预加载详情页
		_this.webviewObj = mui.preload({
			url: 'product_details.html',
			id: 'product_detail',
			styles: {
				"render": "always",
				"popGesture": "hide",
				"bounce": "vertical",
				"bounceBackground": "#efeff4",
				"titleNView": _this.titleNView
			}
		});
	},
	open_detail: function(item) {
		var _this = this;
		var currentPro = getProductById(item.id);
		//触发子窗口变更新闻详情
		mui.fire(_this.webviewObj, 'get_detail', {
			buyType: item.buyType,
			isBid: item.isBid,
			product: {
				Id: item.id,
				Code: currentPro.Code,
				Color: currentPro.Color,
				Brand: currentPro.Brand,
				Name: currentPro.Name,
				Supcode: currentPro.Supcode,
				Grade: currentPro.Grade,
				Packcount: currentPro.Packcount,
				Picpath: currentPro.Picpath,
				Unit: currentPro.Unit,
				Saledate: saleDate,
				Bidtype: currentPro.Bidtype
			}
		});

		//更改详情页原生导航条信息
		_this.titleNView.titleText = currentPro.Brand + currentPro.Name;
		_this.webviewObj.setStyle({
			"titleNView": _this.titleNView
		});
		setTimeout(function() {
			_this.webviewObj.show("slide-in-right", 300);
		}, 150);
	}
}
if (IS_APP) {
	mui.plusReady(function() {
		getParams();
		document.getElementById("searchtext").innerHTML = searchtext;
		init();
		initView();
		// initWebViewDetail();
		_detail_webview.init();
		// initData();
	});
} else {
	buyType = 1;
	searchtext = '粉色';
	saleDate = '2020-03-27';
	site = '缤纷总网';
	deposit = 25;
	searchType = 2;
	searchRange = "";
	isNew = -1;
	document.getElementById("searchtext").innerHTML = searchtext;
	init();
	initView();
}

function initUserInfo() {
	//获取余额
	$ajax(API_URL + '/Member/GetMemberByCode', {
		data: {
			memCode: memCode
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if (data) {
				deposit = parseInt(data.Member.Deposit) || 25;
				Proportion = parseFloat(data.Member.Proportion) || 1;
				console.log("比例:" + Proportion);
				deposit = Math.ceil(deposit * Proportion);
				document.getElementById("spanAmount").innerHTML = data.Member.Monetary;
			}
		}
	});
}
