var memCode = window.localStorage.getItem("memcode");
var newsType = this.getQueryString("t");
var title = "最新消息";

mui.init({
	swipeBack: false //启用右滑关闭功能
});

function initData() {
	if(memCode == "" || memCode == null) {
		mui.openWindow("login.html");
		return;
	}
	$ajax(API_URL + '/Ordermessage/GetOrdermessageList', {
		data: {
			pageSize: 100,
			Ordercode: memCode
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var objs = data.Rows;
			var html = '';
			if(objs.length == 0) {
				html = '<p class="empty-tip">没有找到相关信息！</p>';
			} else {
				for(var i = 0; i < objs.length; i++) {
					html += '<div class="view_box"><p>' + objs[i].Ordertime + '</p><div class="message_box"><b>留言内容：</b><span>' + objs[i].Ordertext + '</span></div>';
					if(objs[i].Answertext) {
						html += '<div class="message_box m_lastbox"><b>回复：</b><span>' + objs[i].Answertext + '</span></div>';
					}
					html += '</div>';
				}
			}
			document.getElementById("divMessage").innerHTML = html;
		}
	});

}

function initView() {

}

if(IS_APP) {
	mui.plusReady(function() {
		initView();
		initData()
	});
} else {
	initView();
	initData();
}