var mainId = getQueryString('mainId'); //获取发票Id
mui.init({
	swipeBack: false, //启用右滑关闭功能
	beforeback: function() {
		return true;
	}
});

function GetList() {
	$ajax(API_URL + '/MemInvoice/GetInvoiceItem', {
		data: {
			mainId: mainId
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'Get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(res) {
			var objs = res.Rows;
			var html = '';
			if (objs.length > 0) {
				for (var i = 0; i < objs.length; i++) {
					var detail = objs[i];
					html +=
						'<li class="mui-table-view-cell">' +
						'<div class="tra_title"><span class="tra_title_l"><span class="t_ul_span">' + detail
						.OrderNum +
						'</span></span><span class="tra_title_r"><span>有效额：￥' + detail.ProductCost +
						'</span><span>服务费：￥' + detail.FreightCost + '</span><span>共：￥' + detail
						.InvoiceAmount + '</span></span></div></li>';
				}
			}
			var oldHtml = document.getElementById("ulOrder").innerHTML;
			document.getElementById("ulOrder").innerHTML = oldHtml + html;
		},
		error: function() {
			mui('.mui-scroll-wrapper').pullRefresh().endPullupToRefresh(true);
		}
	});
}

if (IS_APP) {
	window.parent.mui.plusReady(function() {
		GetList();
	});
} else {
	GetList();
}
