mui.init({
	swipeBack: false //启用右滑关闭功能
});
var adImgs = [];

(function($) {
	$('#scroll').scroll({
		indicators: true, //是否显示滚动条
	});
	var segmentedControl = document.getElementById('segmentedControl');
	$('.mui-input-group').on('change', 'input', function() {
		if (this.checked) {
			var styleEl = document.querySelector('input[name="style"]:checked');
			var colorEl = document.querySelector('input[name="color"]:checked');
			if (styleEl && colorEl) {
				var style = styleEl.value;
				var color = colorEl.value;
				segmentedControl.className = 'mui-segmented-control' + (style ? (' mui-segmented-control-' + style) : '') +
					' mui-segmented-control-' + color;
			}
		}
	});
})(mui);

var _Notice = {
	closeNotice: function(closeType) {
		//彻底关闭,下次打开不提示
		if (closeType == 2) {
			var noticeCode = localStorage.getItem("noticeCode");
			localStorage.setItem("noticeCode_show", noticeCode + "-n");
		}
		plus.webview.getWebviewById("noticeView").close();
	},
	setNoticeState: function(key, value) {
		var noticeCode = localStorage.getItem("noticeCode");
		localStorage.setItem(key, noticeCode + "-" + value);
	},
	//弹窗公告
	showNotice: function(url, noticeCode) {
		noticeCode = noticeCode + '';
		localStorage.setItem('noticeCode', noticeCode);
		var lclNt = localStorage.getItem("noticeCode_show") || '-';
		var lclCode = lclNt.split('-')[0] + '';
		var lclState = lclNt.split('-')[1];
		if (plus.webview.getWebviewById("noticeView") || (lclCode === noticeCode && lclState === "n")) {
			return false;
		}
		var ws = plus.webview.currentWebview().opener();
		var embed = plus.webview.create(API_URL + url, 'noticeView', {
			top: '44px',
			bottom: '0',
			left: '0',
			right: '0',
			animationOptimization: "auto",
			// titleNView:{
			// 	type:"float",
			// 	backgroundColor:"#fff",
			// 	autoBackButton:false,
			// 	buttons:[{
			// 		type:"close",
			// 		color:"#000000",
			// 		float:"right",
			// 		onclick:"javascript:plus.webview.getWebviewById('index').evalJS('closeNotice(1);')"
			// 	}]

			// },
			zindex: 99,
			background: "transparent"
		});
		mui.later(function() {
			ws.append(embed);
		}, 500);
	},
	initNotice: function() {
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			var appVersion = inf.version;
			mui.ajax(API_URL + '/Notice/CheckNotice', {
				data: {
					sysVersion: mui.os.version,
					appVersion: appVersion,
					runVersion: plus.runtime.version,
					imei: mui.os.imei || '',
					model: plus.device.model,
					vendor: plus.device.vendor,
					appId: plus.runtime.appid,
					memCode: localStorage.getItem('memcode')
				},
				type: 'post', //HTTP请求类型,
				dataType: 'json',
				success: function(res) {
					var data = res.Data;
					if (data.Show) {
						switch (data.Type) {
							case "notice":
								_Notice.showNotice(data.Url, data.NoticeCode);
								break;
							case "window":
								openurl(data.Url);
								break;
						}
					}
				}
			});
		})
	}
}

function toProductByAd(data) {
	var site = localStorage.getItem('market') || '';
	var post = {
		buyType: 1,
		searchText: data.Kwd,
		saleDate: RDateUtil.formatDate(new Date(), 'yyyy-MM-dd'),
		site: site,
		deposit: 0,
		searchType: '',
		isNew: 0,
		ptype: data.Lclass,
		pclass: data.Lclass + '_' + data.Sclass,
		color: '',
		brand: data.Brand,
		grade: ''
	};
	// console.log(JSON.stringify(post));
	mui.openWindow({
		url: 'search.html',
		extras: post
	});
}

function showAds(objs) {
	if (objs.length < 3) {
		for (var i = 0; i < (3 - objs.length); i++) {
			objs.push({
				"Picpath": "./images/white_bg.png"
			})
		}
	}
	//凑成3的整数,方便三张图片一起展示
	if (objs.length % 3 != 0) {
		for (var i = 0; i < (objs.length % 3); i++) {
			objs.push({
				"Picpath": "./images/white_bg.png"
			})
		}
	}
	var html = "";
	var containerHtml = "";
	html += '<div class="mui-slider-item mui-slider-item-duplicate">';
	html += '<a>';
	html += '<img src="' + objs[objs.length - 1].Picpath + '" />';
	html += '<img src="' + objs[objs.length - 2].Picpath + '" />';
	html += '<img src="' + objs[objs.length - 3].Picpath + '" />';
	html += '</a>';
	html += '</div>';
	for (var i = 0; i < objs.length; i += 3) {
		html += '<div class="mui-slider-item">';
		html += '<a class="img-wrap">';
		html += '<img data-idx=' + i + ' src="' + objs[i].Picpath + '" />';
		html += '<img data-idx=' + (i + 1) + ' src="' + objs[i + 1].Picpath + '" />';
		html += '<img data-idx=' + (i + 2) + ' src="' + objs[i + 2].Picpath + '" />';
		html += '</a>';
		html += '</div>';
		containerHtml += '<div class="mui-indicator mui-active"></div>';
	}
	html += '<div class="mui-slider-item mui-slider-item-duplicate">';
	html += '<a>';
	html += '<img src="' + objs[0].Picpath + '" />';
	html += '<img src="' + objs[1].Picpath + '" />';
	html += '<img src="' + objs[2].Picpath + '" />';
	html += '</a>';
	html += '</div>';
	document.getElementById("divAd").innerHTML = html;
	document.getElementById("divAdClick").innerHTML = containerHtml;
	var slider = mui("#slider");
	slider.slider({
		interval: 5000
	});
	// mui("#slider .img-wrap img").each(function(i, j) {
	// 	if (adImgs.indexOf(j.src) == -1) {
	// 		adImgs.push(j.src);
	// 	}
	// })
	mui('#slider .img-wrap').on('tap', 'img', function() {
		var index = this.dataset.idx;
		toProductByAd(objs[index]);
		// var index = adImgs.indexOf(this.src);
		// plus.nativeUI.previewImage(adImgs, {
		// 	current: index,
		// 	indicator: "number"
		// });
	})
}

function initData() {
	$ajax(API_URL + '/Advert/GetAdvertList', {
		data: {
			adType: 2
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var objs = data.Rows;
			var adImgUrl = 'http://www.brightenflower.cn/PicPath/';
			for (var i = 0; i < objs.length; i++) {
				objs[i].Picpathname = objs[i].Picpath;
				objs[i].Picpath = adImgUrl + objs[i].Picpath;
			}
			if(mui.os.android){
				var _imgObjs = [];
				for (var i = 0; i < objs.length; i++) {
					_imgObjs.push({
						name: objs[i].Picpathname,
						url: objs[i].Picpath,
						image: "",
						index: i
					})
				}
				IMG_HELP.imgCacheIndex(_imgObjs, function(localUrls) {
					for (var i = 0; i < localUrls.length; i++) {
						objs[i].Picpath = 'file://' + localUrls[i].url;
					}
					showAds(objs)
				})
				
			}else{
				showAds(objs)
			}

		}
	});

	$ajax(API_URL + '/Information/GetInformationList', {
		data: {
			pageSize: 1,
			Isvalid: "上线",
			cType: "市场公告"
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var objs = data.Rows;
			if (objs.length > 0) {
				var content = clearWordStyle(objs[0].Bodytext);
				// var content = objs[0].Bodytext;
				content = content.replace(/<img [^>]*src=['"]([^'"]+)[^>]*>/gi,
					'<img src="$1" style="width:100%;height:auto" />');
				document.getElementById("notice1").innerHTML = content;
				// var imgs = document.querySelectorAll("#notice1 img");
				// for (var i = 0; i < imgs.length; i++) {
				// imgs[i].src = "www.brightenflower.cn" + imgs[i].src;
				// }
			}
		}
	});

	$ajax(API_URL + '/Information/GetInformationList', {
		data: {
			pageSize: 1,
			Isvalid: "上线",
			cType: "联系电话"
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var objs = data.Rows;
			if (objs.length > 0) {
				document.getElementById("notice2").innerHTML = clearWordStyle(objs[0].Bodytext);
			}
		}
	});

}

function initView() {
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	mui('.mui-scroll-wrapper').scroll({
		bounce: true, //是否启用回弹
		deceleration: deceleration, //阻尼系数,系数越小滑动越灵敏
	})
	mui("#notice1,#notice2").on('tap', 'a', function() {
		if (this.href != "javascript:;") {
			var reg = /Pages\/Notice\/ShowInfo.aspx\?pid=(\d*)+/gi;
			if (reg.test(this.href)) {
				var pid = this.href.match(reg)[0].split("pid=")[1];
				mui.openWindow('news_detail.html?id=' + pid);
			} else {
				mui.openWindow('common.html?url=' + this.href);
			}
			return false;
		}
	}, false)
}

function clearWordStyle(html) {
	// Remove all SPAN tags
	html = html.replace(/<\/?SPAN[^>]*>/gi, "");
	// Remove Class attributes
	html = html.replace(/<(\w[^>]*) class=([^ |>]*)([^>]*)/gi, "<$1$3");
	// Remove Style attributes
	html = html.replace(/<(\w[^>]*) style="([^"]*)"([^>]*)/gi, "<$1$3");
	// Remove Lang attributes
	html = html.replace(/<(\w[^>]*) lang=([^ |>]*)([^>]*)/gi, "<$1$3");
	// Remove XML elements and declarations
	html = html.replace(/<\\?\?xml[^>]*>/gi, "");
	// Remove Tags with XML namespace declarations: <o:p></o:p>
	html = html.replace(/<\/?\w+:[^>]*>/gi, "");
	// 替换表格宽度
	html = html.replace(/table width="(\d*)"/gi, "table");
	// Transform <P> to <DIV>
	var re = new RegExp("(<P)([^>]*>.*?)(<\/P>)", "gi");
	return html;
}

if (IS_APP) {
	mui.plusReady(function() {
		plus.navigator.setFullscreen(false);
		initData();
		mui.later(_Notice.initNotice, 1000)
		mui.back = function() {
			var btnArray = ['是', '否'];
			mui.confirm('是否退出应用？', '缤纷鲜花', btnArray, function(e) {
				if (e.index == 0) {
					plus.runtime.quit();
				}
			})
		}
	});
	initView();
} else {
	initData();
	initView();
}

//监听更新数据
window.addEventListener('refreshData', function(e) {
	initData();
	mui.later(_Notice.initNotice, 1000)
});
