mui.init({
	swipeBack: true //启用右滑关闭功能
});

function initData() {

	var memCode = window.localStorage.getItem('memcode');
	if(!memCode) {
		window.openWindow('login.html');
		return;
	}
	$ajax(API_URL + '/Member/GetMemberByCode', {
		data: {
			memCode: memCode
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var member = data.Member;
			if(member) {
				document.getElementById("memcode").innerHTML = member.Code;
				document.getElementById("linkman").innerHTML = member.Linkman;
				document.getElementById("tel").innerHTML = member.Phone;
				document.getElementById("weixin").innerHTML = member.Weixin;
				document.getElementById("email").innerHTML = member.Email;
				document.getElementById("area").innerHTML = member.Province + "-" + member.City + "-" + member.Area;
				document.getElementById("detailAddr").innerHTML = member.Maddress;
				// document.getElementById("address").innerHTML = member.Deliaddress;
				document.getElementById("business").innerHTML = member.Businessscope;
				document.getElementById("bsType").innerHTML = member.Scopelist;
				document.getElementById("Alldiscount").innerHTML = member.Alldiscount;
				document.getElementById("Discount").innerHTML = member.Discount;
				document.getElementById("Daydiscount").innerHTML = member.Daydiscount;
				document.getElementById("Useddiscount").innerHTML = member.Useddiscount;
			}
		}
	});

}

if(IS_APP) {
	mui.plusReady(function() {
		initData();
	});
} else {
	initData();
}