var newsType = this.getQueryString("t");
var title = "最新消息";

mui.init({
	swipeBack: false //启用右滑关闭功能
});

function initData() {

	$ajax(API_URL + '/Information/GetInformationList', {
		data: {
			pageSize: 100,
			Isvalid: "上线",
			cType: title
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var objs = data.Rows;
			var html = '';
			if(objs.length == 0) {
				html = '没有找到相关信息！';
			} else {
				for(var i = 0; i < objs.length; i++) {
					html += '<li class="mui-table-view-cell"><a class="mui-navigate-right" href="news_detail.html?id=' + objs[i].Id + '">' + objs[i].Title + '</a></li>';
				}
			}
			document.getElementById("ulNews").innerHTML = html;
		}
	});

}

function initView() {

	mui('body').on('tap', 'a', function() {
		mui.openWindow(this.href);
	});

	if(newsType == 1) {
		document.title = "最新消息";
		title = "最新消息";
	} else if(newsType == 2) {
		document.title = "物流消息";
		title = "物流信息";
	}
	document.getElementById("newsTitle").innerHTML = title;
}

if(IS_APP) {
	mui.plusReady(function() {
		initView();
		initData()
	});
} else {
	initView();
	initData();
}