mui.init({
	swipeBack: false, //启用右滑关闭功能
	beforeback: function() {
		var parent = plus.webview.currentWebview().opener();
		mui.fire(parent, 'refresh');
		return true;
	}
});
var fromAct = getQueryString('from');
var memPwd = window.localStorage.getItem("mempwd");
var memcode = window.localStorage.getItem("memcode");
var market = window.localStorage.getItem("market");
var isFlag = window.localStorage.getItem("isFlag");
var isLogin = (market == null || isFlag == null || memcode == null) ? false : true;


function initAd() {
	if (IS_APP) {
		/**
		 * 获取系统状态栏高度
		 * http://www.html5plus.org/doc/zh_cn/navigator.html#plus.navigator.getStatusbarHeight
		 */
		var sh = plus.navigator.getStatusbarHeight();
		/**
		 * 获取设备屏幕高度分辨率以及宽度分辨率
		 * http://www.html5plus.org/doc/zh_cn/device.html#plus.screen.resolutionHeight
		 * http://www.html5plus.org/doc/zh_cn/device.html#plus.screen.resolutionWidth
		 */
		var h = plus.screen.resolutionHeight;
		var w = plus.screen.resolutionWidth;
		/**
		 * 设置图片高度，这里图片并不规范；
		 * 实际开发中，建议大家制作iphone6plus规格的图片；
		 */
		var imgs = document.querySelectorAll(".guide-img");
		for (var i = 0, len = imgs.length; i < len; i++) {
			imgs[i].style.height = h + "px";
			imgs[i].style.width = w + "px";
		}
		// plus.navigator.setFullscreen(true);
		plus.navigator.closeSplashscreen();
	}
	document.getElementById("start").addEventListener("tap", function() {
		plus.navigator.setFullscreen(false);
		if (isLogin) {
			StatusBar.setRed();
			openurl('main.html');
		} else {
			StatusBar.setWhite();
			openurl('login.html');
		}
	})
}

// function initData(){
// 	localStorage.setItem('market', '缤纷总网');
// 	localStorage.setItem('isFlag', 1);
// 	openurl('main.html')
// }

function initData(callback) {
	$ajax(API_URL + '/Product/GetSaleSite', {
		data: {
			memCode: memcode
		},
		success: function(data) {
			var objs = data.Rows;
			if (objs.length > 0) {
				var html = '';
				for (var i = 0; i < objs.length; i++) {
					var sitetxt=""
					if(objs[i].Ssite=="缤纷总网"){
						sitetxt="上午场";
					}
					else if(objs[i].Ssite=="总网下午场"){
						sitetxt="下午场";
					}
					else{
						sitetxt=objs[i].Ssite;
					}
					html += '<li class="mui-table-view-cell"><a class="mui-navigate-right" data-isflag="' + objs[i].IsFlag + '">' +
						sitetxt + '</a></li>'
				}
				document.getElementById("ulSite").innerHTML = html;

				mui('.mui-table-view-cell').on('tap', '.mui-navigate-right', function() {
					var marketTxt="";
					if(this.innerHTML=="上午场"){
						marketTxt="缤纷总网";
					}
					else if(this.innerHTML=="下午场"){
						marketTxt="总网下午场";
					}
					else{
						marketTxt=this.innerHTML;
					}
					localStorage.setItem('market', marketTxt);
					localStorage.setItem('isFlag', this.dataset.isflag);
					openurl('main.html')
				});
				callback&&callback(objs);
			}
		}
	});
}

//打开App判断密码是否已更改
function checkPwd(memCode, callback) {
	var isTrue = true;
	if (memCode != null && memCode != "") {
		$ajax(API_URL + "/Member/CheckMemPwd", {
			data: {
				memCode: memCode,
				pwd: memPwd
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				callback(data);
			}
		})
	} else {
		isTrue = false;
	}
	return isTrue;
}

function showAd(objs) {
	// if (objs.length == 0) {
	// 	objs = [{
	// 		Url: './images/start_1.png'
	// 	}, {
	// 		Url: './images/start_2.jpg'
	// 	}, {
	// 		Url: './images/start_3.jpg'
	// 	}]
	// }
	var html = "";
	if (objs.length == 0) {
		html += '<div class="mui-slider-item">';
		html += '<button class="mui-btn mui-btn-blue mui-btn-outlined" type="button" id="start">立即进入</button>';
		html += '</div>';
	}
	if(mui.os.android){
		var _imgObjs=[];
		for (var i = 0; i < objs.length; i++) {
			var url=objs[i].Url;
			var urlSplit=url.split('/');
			_imgObjs.push({
				name: urlSplit[urlSplit.length-1],
				url: url,
				image: "",
				index:i
			})
		}
		IMG_HELP.imgCacheLaunch(_imgObjs, function(localUrls) {
			for (var i = 0; i < localUrls.length; i++) {
				html += '<div class="mui-slider-item">';
				html += '<a href="javascript:;">';
				html += '<img class="guide-img" src="file://' + localUrls[i].url + '" /></a>';
				if (i == (localUrls.length - 1)) {
					html += '<button class="mui-btn mui-btn-outlined slide-tip" type="button" id="start">立即进入</button>';
				} else {
					html += '<button class="mui-btn mui-btn-outlined slide-tip" type="button"><< 左滑查看更多</button>';
				}
				html += '</div>';
			}
			document.getElementById("slide-group").innerHTML = html;
			document.getElementById("guide").style.display = "block";
			document.getElementById("divSite").style.display = "none";
			//初始化广告
			initAd();
		})
	}else{
		for (var i = 0; i < objs.length; i++) {
			html += '<div class="mui-slider-item">';
			html += '<a href="javascript:;">';
			html += '<img class="guide-img" src="' +FLOWER_WEB+ objs[i].Imagepath + '" /></a>';
			if (i == (objs.length - 1)) {
				html += '<button class="mui-btn mui-btn-outlined slide-tip" type="button" id="start">立即进入</button>';
			} else {
				html += '<button class="mui-btn mui-btn-outlined slide-tip" type="button"><< 左滑查看更多</button>';
			}
			html += '</div>';
		}
		document.getElementById("slide-group").innerHTML = html;
		document.getElementById("guide").style.display = "block";
		document.getElementById("divSite").style.display = "none";
		//初始化广告
		initAd();
	}
	
}

function getAd() {
	$ajax(API_URL + '/Advert/GetAppStartAdvertList', {
		data: {
			adType: 4,
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 2000, //超时时间设置为2秒；
		// showLoading: true,
		success: function(data) {
			showAd(data.Rows)
			
		},
		error: function() {
			plus.navigator.closeSplashscreen();
			document.getElementById("guide").style.display = 'none';
			document.getElementById("netErrorTip").style.display = 'block';
		}
	});
}


document.getElementById('btnReload').addEventListener('tap', function() {
	plus.webview.currentWebview().reload();
})

if (IS_APP) {
	mui.plusReady(function() {
		// StatusBar.setWhite();
		if (fromAct == "login") {
			if (IS_APP) StatusBar.setRed();
			document.getElementById("divSite").style.display = '';
			document.getElementById("head").style.display = '';
			initData(function(sites){
				//跳过选择站点
				if(sites.length>0){
					localStorage.setItem('market',sites[0].Ssite);
					localStorage.setItem('isFlag',sites[0].IsFlag);
				}else{
					localStorage.setItem('market', '缤纷总网');
					localStorage.setItem('isFlag', 1);
				}
				openurl('main.html');
			});
		} else {
			if (isLogin) {
				getAd();
				// initData(function(sites){
				// 	var localSite=localStorage.getItem('market');
				// 	var isExistSite=false;
				// 	for (var i = 0; i < sites.length; i++) {
				// 		if(sites[i].Ssite==localSite){
				// 			isExistSite=true;
				// 			break;
				// 		}
				// 	}
				// 	if(!isExistSite){
				// 		localStorage.setItem('market',sites[0].Ssite);
				// 		localStorage.setItem('isFlag',sites[0].IsFlag);
				// 	}
				// });
				// initData();
				localStorage.setItem('market', '缤纷总网');
				localStorage.setItem('isFlag', 1);
				checkPwd(memcode, function(res) {
					if (!res.Success) {
						mui.alert('登陆已过期，请重新登陆', '提示', '', function(e) {
							window.localStorage.clear();
							openurl('login.html');
						})
					}
				})
			} else {
				getAd();
			}
		}
	})
} else {
	document.getElementById("divSite").style.display = '';
	document.getElementById("head").style.display = '';
	initData();
}

window.addEventListener('refreshData', function(e) {
	if (memcode) {
		document.getElementById("guide").style.display = 'none';
		document.getElementById("divSite").style.display = '';
	}
});
