mui.init({
	swipeBack: true //启用右滑关闭功能
});

/*
 * 获取箱号
 */
function getBoxNum(packNumList) {
	var result = "";
	for (var i = 0; i < packNumList.length; i++) {
		result += "<e class='box'>" + packNumList[i].code + "</e><e class='box_num'>" + packNumList[i].num + "</e>";
	}
	return result;
}

function initData() {

	var memCode = window.localStorage.getItem('memcode');
	if (!memCode) {
		window.openWindow('login.html');
		return;
	}
	var id = parseInt(this.getQueryString('id'));
	$ajax(API_URL + '/Invoice/GetInvoice', {
		data: {
			memCode: memCode,
			id: id
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var objs = data.Rows;
			if (objs.length > 0) {
				var invoice = objs[0];
				var packNumList = data.PackNumList;
				document.getElementById("eTime").innerHTML = invoice.Saledate.substr(0,10);
				document.getElementById("eType").innerHTML = invoice.Logisticstype;
				document.getElementById("spanFlightNo").innerHTML = invoice.Flightnum;
				document.getElementById("spanLandTime").innerHTML = invoice.Landingtime;
				document.getElementById("spanNum").innerHTML = invoice.Boxnum;
				document.getElementById("spanWeight").innerHTML = invoice.Lweight;
				// document.getElementById("spanServiceFee").innerHTML = invoice.Servicefee;
				var boxNum = getBoxNum(packNumList);
				document.getElementById("spanBoxNum").innerHTML = boxNum;
				document.getElementById("spanPrice").innerHTML = invoice.Price;
				document.getElementById("spanShippingFee").innerHTML = (invoice.Freight * 100 + invoice.Servicefee * 100) / 100;
				document.getElementById("spanPackFee").innerHTML = (invoice.Pickingcosts * 100 + invoice.Cartoncosts * 100) /
					100;
				// document.getElementById("spanPickingFee").innerHTML = invoice.Pickingcosts;
				// document.getElementById("spanBoxFee").innerHTML = invoice.Cartoncosts;
				document.getElementById("spanShortDeliveryFee").innerHTML = invoice.Shortfreight;
				document.getElementById("spanContainerNum").innerHTML = invoice.Picknum;
				document.getElementById("spanPickFee").innerHTML = invoice.Pickfee;
				//document.getElementById("spanWarn").innerHTML = invoice.Bntype;
				document.getElementById("spanWarnFee").innerHTML = invoice.Warmthfee;
				document.getElementById("spanWatchFee").innerHTML = invoice.Storagefee;
				document.getElementById("spanTotalFee").innerHTML = invoice.Allfee;
			}
		}
	});

}

if (IS_APP) {
	mui.plusReady(function() {
		initData();
	});
} else {
	initData();
}
