var BuyType = {
	value:1,
	onSale:1,
	book:2,
	oneDay:3,
	twoDay:4,
	threeDay:5
}

var _ShowHtml = {
	memCode: window.localStorage.getItem("memcode"),
	orderName: window.localStorage.getItem("memName"),
	sSite: window.localStorage.getItem("market"),
	getOrderTypeByBuyType: function(buyType) {
		var type = 0;
		switch (buyType) {
			case 1:
				type = 19;
				break;
			case 2:
				type = 39;
				break;
			case 3:
				type = 54;
				break;
			case 4:
				type = 64;
				break;
			case 5:
				type = 74;
				break;
		}
		return type;
	},
	getLaterKeyByBuyType: function(buyType) {
		var Key = {
			'price': "",
			'count': ""
		};
		if (buyType == BuyType.oneDay) {
			Key.price = 'Oneprice';
			Key.count = 'Onecount';
		} else if (buyType == BuyType.twoDay) {
			Key.price = 'Twoprice';
			Key.count = 'Twocount';
		} else if (buyType == BuyType.threeDay) {
			Key.price = 'Threeprice';
			Key.count = 'Threecount';
		}
		return Key;
	},
	showHtml: function(objs, curUl, curBuyType) {
		if (objs != null && objs.length > 0) {
			var li;
			for (var i = 0; i < objs.length; i++) {
				imgIndex++;
				productList.push(objs[i]);
				li = document.createElement('li');
				li.className = 'mui-table-view-cell mui-media seach_li mui-collapse';
				var html = '<a class="mui-navigate-right">';
				html += '<div class="od_allbox">';
				html +=
					'<div class="od_left od_left0"><img onerror="this.src=\'./images/white_bg.png\';this.onerror=null" data-preview-group="' +
					imgIndex +
					'" data-preview-src="http://img.brightenflower.cn/' + objs[i].Picpath +
					'" class="seach_img" src="http://img.brightenflower.cn/' +
					objs[i].Picpath + '?imageView2/0/w/120/h/200"></div>';
				html += '<div class="mui-media-body seach_title od_right" pid="' + objs[i].Id + '">';
				html += '<div class="od_title od_dj">' + objs[i].Brand + '&nbsp;&nbsp;' + objs[i].Name + '</div>';
				html += '<div class="od_dj"><span>编码：<i>' + objs[i].Code + '</i></span><span>等级：<i>' + objs[i].Grade +
					'</i></span></div>';
				html += (objs[i].Isnew == 1 ? '<span class="icon-new">New</span>' : '');
				html += '<div class="od_dj">';
				html += '<span>颜色：<i>' + objs[i].Color + '</i></span><span>长度：<i>' + objs[i].Slength + '</i></span>';
				if (curBuyType == BuyType.onSale) { //现售
					html += '</div><div class="od_dj"><span>包装：<i>' + objs[i].Packcount + '</i></span><span>可售：<i id="eid' + objs[
						i].Id + '">' + objs[i].Timelycount + '</i>' + objs[i].Unit + '</span>';
					html += '</div>';
					html += '<div class="od_dj od_littlefont">';
					html += '<span>单价：<i>' + objs[i].Price + '元/' + objs[i].Unit + '</i></span>';
					html += '<span><button loadUrl="product_details.html?id=' + objs[i].Id + "&buyType=" + BuyType.value +
						'" type="button" class="mui-btn mui-btn-warning btn-detail" />详情</button>';
					html += '<button type="button" fid="' + objs[i].Code +
						'" class="mui-btn mui-icon-extra mui-icon-extra-heart-filled btn-favor" /></button</span>';
					html += '</div></div></div></a>';
					html +=
						'<div class="mui-collapse-content"><div class="mui-card"><div class="de_nowbuy"><div class="de_nowbuy_title">订购</div><div class="de_nowbuybox"><div class="de_xg"><span>数量：</span>';
					html +=
						'<div class="mui-numbox de_border" data-numbox-min="1"><button class="mui-btn mui-btn-numbox-minus" type="button">-</button>';
					html += '<input id="bc' + objs[i].Id +
						'" class="mui-input-numbox" type="number"/><button class="mui-btn mui-btn-numbox-plus" type="button">+</button>';
					html += '</div><button class="de_buybtn" name="btnDoOrder" onclick="doOrder(' + objs[i].Id +
						')">订购</button></div><div style="clear: both;"></div></div></div>';
					if (objs[i].Isbid == 1) {
						html +=
							'<div class="de_nowbuy"><div class="de_nowbuy_title jg">竞购</div><div class="de_nowbuybox"><div class="de_xg"><span>价格：</span><input id="price' +
							objs[i].Id +
							'" class="mui-input-clear" type="text" data-input-clear="5" oninput="limitPrice(this)" data-floor="' + objs[
								i].Floorprice + '" /><span class="dj">底价：<i>' + objs[i]
							.Floorprice + '元/' + objs[i].Unit + '</i><span></div>';
						html +=
							'<div class="de_xg"><span>数量：</span><div class="mui-numbox de_border" data-numbox-min="1"><button class="mui-btn mui-btn-numbox-minus" type="button">-</button>';
						html += '<input id="bc2' + objs[i].Id +
							'" class="mui-input-numbox" type="number" /><button class="mui-btn mui-btn-numbox-plus" type="button">+</button>';
						html += '</div><button class="de_buybtn jg" name="btnBidOrder" onclick="bidOrder(' + objs[i].Id +
							')">竞购</button></div></div></div></div>';
					}
				} else if (curBuyType == BuyType.book) { //预售
					html += '</div><div class="od_dj"><span>包装：<i>' + objs[i].Packcount + '</i></span><span>参考：<i>' + objs[i].Averprice +
						'元/' + objs[i].Unit + '</i>' + '</span>';
					html += '</div>';
					html += '<div class="od_dj od_littlefont">';
					html += '<span>最高：<i>' + objs[i].Maxcount + objs[i].Unit + '</i></span><span>最低：<i>' + objs[i].Mincount + objs[
						i].Unit + '</i></span>';
					html += '<span><button loadUrl="product_details.html?id=' + objs[i].Code + "&buyType=" + BuyType.value +
						'" type="button" class="mui-btn mui-btn-warning btn-detail" />详情</button>';
					html += '<button type="button" fid="' + objs[i].Code +
						'" class="mui-btn mui-icon-extra mui-icon-extra-heart-filled btn-favor" /></button</span>';
					html += '</div></div></div></a>';
					html +=
						'<div class="mui-collapse-content"><div class="mui-card"><div class="de_nowbuy"><div class="de_nowbuy_title">预订</div><div class="de_nowbuybox"><div class="de_xg"><span>数量：</span>';
					html +=
						'<div class="mui-numbox de_border" data-numbox-min="' + objs[i].Mincount +
						'"><button class="mui-btn mui-btn-numbox-minus" type="button">-</button>';
					html += '<input id="bb' + objs[i].Id +
						'" class="mui-input-numbox" type="number" /><button class="mui-btn mui-btn-numbox-plus" type="button">+</button>';
					html += '</div><button class="de_buybtn" name="btnBookOrder" onclick="bookOrder(' + objs[i].Id +
						')">预定</button></div><div style="clear: both;"></div></div></div>';
					html += '</div></div>';
				} else { //明天、后天、大后天
					var Key = _ShowHtml.getLaterKeyByBuyType(curBuyType);
					html += '</div><div class="od_dj"><span>包装：<i>' + objs[i].Packcount +
						'</i></span><span>可售：<i>' + objs[i][Key.count] + objs[i].Unit + '</i></span>';
					html += '</div>';
					html += '<div class="od_dj od_littlefont">';
					html += '<span>单价：<i>' + objs[i][Key.price] +
						'元/' + objs[i].Unit + '</i>' + '</span>';
					html += '<span><button loadUrl="product_details.html?id=' + objs[i].Code + "&buyType=" + BuyType.value +
						'" type="button" class="mui-btn mui-btn-warning btn-detail" />详情</button>';
					html += '<button type="button" fid="' + objs[i].Code +
						'" class="mui-btn mui-icon-extra mui-icon-extra-heart-filled btn-favor" /></button</span>';
					html += '</div></div></div></a>';
					html +=
						'<div class="mui-collapse-content"><div class="mui-card"><div class="de_nowbuy"><div class="de_nowbuy_title">订购</div><div class="de_nowbuybox"><div class="de_xg"><span>数量：</span>';
					html += '<div class="mui-numbox de_border" data-numbox-min="1"><button class="mui-btn mui-btn-numbox-minus" type="button">-</button>';
					html += '<input id="bb' + objs[i].Id +
						'" class="mui-input-numbox" type="number" /><button class="mui-btn mui-btn-numbox-plus" type="button">+</button>';
					html += '</div><button class="de_buybtn" name="btnBookOrder" onclick="ottOrder(' + objs[i].Id +
						')">订购</button></div><div style="clear: both;"></div></div></div>';
					html += '</div></div>';
				}
				li.innerHTML = html;
				curUl.appendChild(li);
			}

			mui('.od_littlefont').on('tap', '.btn-favor', function() {
				var productCode = this.getAttribute("fid");
				setFavour(productCode);
				return false;
			});
		}
	}
}
