mui.init({
	swipeBack: false, //启用右滑关闭功能
	beforeback: function() {
		var parent = plus.webview.currentWebview().opener();
		mui.fire(parent, 'refresh');
		return true;
	}
});
var memCode = window.localStorage.getItem("memcode");
if(!memCode) {
	mui.openWindow('login.html');
}
function submit() {
	var message = document.getElementById("message").value;
	if(message == "" || message == "请填写留言") {
		mui.alert("请填写留言", "提示","",null,"div");
		return false;
	}
	$ajax(API_URL + '/Ordermessage/Save', {
		data: {
			memCode: memCode,
			message: message,
			site: localStorage.getItem('market')
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		beforeSend: function() {
			if(IS_APP) {
				plus.nativeUI.showWaiting("提交中，请稍候...");
			}
		},
		complete: function() {
			if(IS_APP) {
				plus.nativeUI.closeWaiting();
			}
		},
		success: function(data) {
			if(data.Success) {
				mui.toast("您的留言已提交成功");
				setTimeout(function(){
					mui.back();
				},300);
			} else {
				mui.toast(data.Msg);
			}
		}
	});
}

document.getElementById("btnSubmit").addEventListener('tap',function(){
	submit();
});